# Klakpad API

**Klakpad API** is the major backend of the KLAKPAD Backend System, serving request from Klakpad client applications raging from the **Frontend, Desktop, and Mobile** applications.


The App is built with [Laravel Framework](https://laravel.com/docs)


<br>

## How to setup

- Project requirements
  - **PHP** - minimum of version `7.4` or `8.0` is needed. Setup [MAMP - Macbook](https://documentation.mamp.info/en/MAMP-Mac/Installation/) | [MAMP- Windows](https://documentation.mamp.info/en/MAMP-Windows/Installation/) 
  - **SQL** - A local MySQL database, minimum of version `5.7`
  - **Composer** - Composer installation is needed [macbook](https://www.javatpoint.com/how-to-install-composer-on-mac) | [windows](https://www.javatpoint.com/how-to-install-composer-on-windows) 

- Clone repository

    ```bash
    git clone git@github.com:omnix-organisation/klakpad-api.git
    ```

- Install dependencies - In code directory run `composer` command 

    ```bash
    composer install
    ```

<br><br>

## Contribution guidelines
- Read Coding convention from [here](https://docs.google.com/document/d/1CxuyTclelo6sDLIxFhwwF6g97SiRcpHN201aUQYJWck)


## Git usage
- Create every new branch from Jira Ticket
- Branch naming - Branch naming is automatically obtained from Jira ticket
- Commit messages should be descriptiive enough to point out what is done in the code commited. Follow examples from the [coding convention](https://docs.google.com/document/d/1CxuyTclelo6sDLIxFhwwF6g97SiRcpHN201aUQYJWck) as specified
  - New feature: `feat: very precise description of new feature`
  - Bug Fix: `bug: precise description of what is fixed`
  - Other tasks: `chore: a brief summary of the task done`


## Pull requests and approval guidelines
- Create a Pull Request on Github once feature implementation is completed
- Add team members for approval
- Teams members are obliged to review - and make recommendations **constructively** where needed
  

## Cloud CICD deployment workflow guidelines 
Code deployments are automated using github workflows, and can be deployed to `testing`, `staging` and `production`

**Testing**
- Anyone can deploy any branch to testing without constraint or approval
- Inform the team before deployment so that anyone using the environment is informed
- Run workflow from your branch of choice

**Staging**
- ONLY well tested and approved codes are deployed to `staging`
- Your code must have passed throught Pull Request and duely approved
- After approval, you can merge the Pull Request
- A merged pull request is automatically deployed to `staging` without any extra effort needed

**Production**
- Code Production code is deployed by creating a new release
- Workflow is ran automatically on release


## Repository DOC
