<?php

namespace App\Exceptions;

// use App\Services\Contracts\LogServiceInterface;
use Illuminate\Foundation\Exceptions\Handler as ExceptionHandler;
use Illuminate\Support\Facades\Log;
use Symfony\Component\Console\Exception\NamespaceNotFoundException;
use Illuminate\Support\Facades\App;
use Throwable;

class Handler extends ExceptionHandler
{

    // protected $logService;

    // public function __construct(LogServiceInterface $logService)
    // {
    //     parent::__construct();
    //     $this->logService = $logService;
    // }
    /**
     * A list of the exception types that are not reported.
     *
     * @var array
     */
    protected $dontReport = [
        NamespaceNotFoundException::class,
    ];

    /**
     * A list of the inputs that are never flashed for validation exceptions.
     *
     * @var array
     */
    protected $dontFlash = [
        'current_password',
        'password',
        'password_confirmation',
    ];

    /**
     * Register the exception handling callbacks for the application.
     *
     * @return void
     */
    public function register()
    {
        $this->reportable(function (Throwable $e) {
            //
        });
    }

    /**
     * Report or log an exception.
     *
     * @param  \Throwable  $exception
     * @return void
     */
    public function report(Throwable $exception)
    {
        if ($this->shouldReport($exception)) {
            // // Log unhandled exceptions to Teams
            Log::channel('teams')->critical('Unhandled Exception', [
                'message' => $exception->getMessage(),
                'file' => $exception->getFile(),
                'line' => $exception->getLine(),
                // 'trace' => $exception->getTraceAsString(),
                'channel' => 'critical',
            ]);
        }

        parent::report($exception);
    }
    public function failed($event)
    {
        Log::channel('teams')->critical('Queue Job Failed', [
            'job' => get_class($event->job),
            'connection' => $event->connectionName,
            'exception' => $event->exception->getMessage(),
            'payload' => $event->job->payload(),
            'channel' => 'critical',
        ]);
    }
}
