<?php

use App\Models\Settings;
use App\Models\WastifyState;
use App\Models\User;
use App\Models\Countries;
use App\Models\States;
use Carbon\Carbon;
use Intervention\Image\Facades\Image;
use Jenssegers\Agent\Agent;
use \Illuminate\Support\Facades\Auth;

function generateRandomString($length = 10)
{
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $charactersLength = strlen($characters);
    $randomString = '';
    for ($i = 0; $i < $length; $i++) {
        $randomString .= $characters[rand(0, $charactersLength - 1)];
    }
    return $randomString;
}

function generateRandStr($length)
{
    $randstr = "";
    for ($i = 0; $i < $length; $i++) {
        $randnum = mt_rand(0, 61);
        if ($randnum < 10) {
            $randstr .= chr($randnum + 48);
        } else if ($randnum < 36) {
            $randstr .= chr($randnum + 55);
        } else {
            $randstr .= chr($randnum + 61);
        }
    }
    return $randstr;
}

function uploadFile($new_file, $path, $old_file_name = null, $width = null, $height = null)
{
    if (!file_exists(storage_path($path))) {
        mkdir(storage_path($path), 0777, true);
    }
    if (isset($old_file_name) && $old_file_name != "" && file_exists($path . substr($old_file_name, strrpos($old_file_name, '/') + 1))) {

        unlink($path . '/' . substr($old_file_name, strrpos($old_file_name, '/') + 1));
    }

    $input['imagename'] = uniqid() . time() . '.' . $new_file->getClientOriginalExtension();
    $imgPath = storage_path($path . $input['imagename']);

    $makeImg = Image::make($new_file);
    if ($width != null && $height != null && is_int($width) && is_int($height)) {
        $makeImg->resize($width, $height);
        $makeImg->fit($width, $height);
    }

    if ($makeImg->save($imgPath)) {
        return $input['imagename'];
    }
    return false;

}

/**
 * Generate initials from a name
 *
 * @param string $name
 * @return string
 */
function generateAvater(string $name): string
{
    $words = explode(' ', $name);
    if (count($words) >= 2) {
        return strtoupper(substr($words[0], 0, 1) . substr(end($words), 0, 1));
    }
    return makeInitialsFromSingleWord($name);
}

/**
 * Make initials from a word with no spaces
 *
 * @param string $name
 * @return string
 */
function makeInitialsFromSingleWord(string $name): string
{
    preg_match_all('#([A-Z]+)#', $name, $capitals);
    if (count($capitals[1]) >= 2) {
        return substr(implode('', $capitals[1]), 0, 2);
    }
    return strtoupper(substr($name, 0, 2));
}

function getRemainingDaysAttribute($date)
{

    $remaining_days = Carbon::now()->diffInDays(Carbon::parse($date));
    return $remaining_days;
    if ($remaining_days < 0) {
        return $remaining_days;
    } else {
        return 0;
    }

}

function getSettings($country)
{

    $data = Settings::where('country', $country)->first();
    return $data;

}

function wastifyState($id)
{

    $user_details = WastifyState::where('region_state', $id)->first();
    return $user_details;
}

function userProfile($id)
{
    $user_details = User::where('id', $id)->first();
    return $user_details;

}

function countrySettings($id){

    $user_details = Countries::where('id', $id)->first();
    return $user_details;
}

function stateSettings($id){

    $user_details = States::where('id', $id)->first();
    return $user_details;
}

