<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Account\User;

class EmailVerificationController extends Controller
{
    public function verifyEmail(Request $request, $id, $hash)
{
    // Find the user by ID
    $user = User::findOrFail($id);

    // Check if the user exists
    if (!$user) {
        abort(403, 'We couldn\'t find a valid user associated with this verification link. Please make sure you used the correct link or contact support for assistance.');
    }

    // Check if the provided hash matches the email
    if (sha1($id) !== $hash) {
        abort(403, 'Invalid verification link.');
    }

    // Check if the user is already verified
    if ($user->email_verification == 0) {
        // User is already verified, redirect to a different route or homepage
        // return redirect('/')->with('already_verified', true);
        return view('verification.success')->with('message', 'Account already verified.');

    }

    // Update the user's email_verification column to 0 (verified)
    $user->update(['email_verification' => 0]);

    // Redirect to a success page or homepage
    // return redirect('/')->with('verified', true);
    return view('verification.success')->with('message', 'Account successfully verified.');

}

}
