<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Http\Controllers\General\GeneralController;
use App\Models\Account\User;
use Illuminate\Http\Request;
use Validator;
use Response;

class ForgotPasswordController extends GeneralController
{
    //
    public function ForgotPasswordSend(Request $request)   //done
    {
        $validator = Validator::make($request->all(), [
            'email' => 'required',
        ]);

        if ($validator->fails()) {
            return Response::json(['message' => $validator->errors()->first(), 'success' => false], 400);
        }
        $email = $request->input('email');

        $login = User::where('username', $email)->first();
        if (!$login) {
            return Response::json(['message' => 'No active account with the email provided', 'success' => false], 400);
        } else {    
            $newpass = generateRandStr(4);
            $arr = ['fullname' => $request->name, 'auth_code' => $newpass];
           // Mail::to($login->email)->send(new ForgotPasswordMail($arr));
           //TLYL7YLhThb8NcOaX4xpa0BtLR0GQ0LlD6exoB1EYkr5pY7uho7jhzy4g38ycQ     omn
           //TL6hHaMktmdkqOzJoQLS0DvAy0NFY4QUltwXKH2imdYaRoCjoAd3Fhg3BCBH5R     wbz
            // $termii = new \Zeevx\LaraTermii\LaraTermii('TLYL7YLhThb8NcOaX4xpa0BtLR0GQ0LlD6exoB1EYkr5pY7uho7jhzy4g38ycQ');
            // $otpDetails = $termii->sendOTP($this->standardPhone($login->phone), 'N-Alert', 'ALPHANUMERIC', 10, 5, 5, '< 12345 >', 'Your pin is < 12345 >', 'dnd');
            // $decode = json_decode($otpDetails);
            // // var_dump($decode);
            // $pinId = $decode->pinId;
            // User::where('username', $request->email)->update(['pin_id' => $pinId]);

            $otpDetails = $this->sendOTP($request, $login->phone);

            return Response::json(['message' => 'OTP for password reset sent successfully', 'success' => true], 200);
        }
    }
 
    private function sendOTP($request, $phone)
    {
        $termii = new \Zeevx\LaraTermii\LaraTermii('TLYL7YLhThb8NcOaX4xpa0BtLR0GQ0LlD6exoB1EYkr5pY7uho7jhzy4g38ycQ');
        $otpDetails = $termii->sendOTP($this->standardPhone($phone), 'N-Alert', 'ALPHANUMERIC', 10, 5, 5, '< 12345 >', 'Your pin is < 12345 >', 'dnd');
        $decode = json_decode($otpDetails);
        // var_dump($decode);
        $pinId = $decode->pinId;
        User::where('username',  $request->email)->update(['pin_id' => $pinId]);
    }

    public function UpdateForgotPassword(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'email' => 'required',
            'password' => 'required',
            'password_confirmation' => 'required|same:password',
        ]);

        if ($validator->fails()) {
            return Response::json(['message' => $validator->errors()->first(), 'success' => false], 400);
        } else {
            //$phone = $request->input('phone');
            $salt = $this->salt();
            $pass = $this->hashPass($request->password, $salt);
           // $login = User::where('phone', $phone)->first();
            $changepassword = User::where('username', $request->email)->update(['password' => $pass, 'salt' =>  $salt ]);
            if ($changepassword) {
                $arr = ['fullname' => $request->name];
              //  Mail::to($login->email)->send(new PasswordChangedMail($arr));

                return Response::json(['message' => 'Password changed succesful', 'data' => null, 'success' => true], 200);
            } else {
                return Response::json(['message' => 'Unable to reset your account, please try again later', 'success' => false], 400);
            }
        }
    }


}
