<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\General\GeneralController;
use App\Models\Account\User;
use Illuminate\Http\Request;
use Response;
use Validator;
use JWTAuth;
use App\Http\Controllers\Auth\LoginController;
use Illuminate\Support\Facades\Auth;
use DB;
use Carbon\Carbon;

class OtpValidationController extends GeneralController
{
   
    protected $LoginController;

    public function __construct(LoginController $LoginController)
    {
        $this->LoginController = $LoginController;
    }
    public function ValidateAccountOtp(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'email' => 'required',
            'code' => 'required',
           // 'phone' => 'required',
        ]);

        if ($validator->fails()) {
            return Response::json(['message' => $validator->errors()->first(), 'error' => true], 400);
        }

        $username = $request->input('email');
        $phone = $request->input('phone');
        $data = User::where('username', $username)->first();

        if (!$data) {
            return Response::json(['message' => 'Email does not exist', 'error' => true], 404);
        }

        // if (!empty($phone)) {
        //     if ($data->phone != $phone) {
        //         return Response::json(['message' => 'Phone number does not exist', 'error' => true], 404);
        //     }
        // }
       

        // Determine the action based on the function type
        if ($request->function_type == 'activate-check') {
            return $this->performActivateCheck($request, $data);
        } elseif ($request->function_type == 'activate-resend') {
            return $this->performActivateResend($request, $data);
        } elseif ($request->function_type == 'password-check') {
            return $this->performPasswordCheck($request, $data);
        } else {
            return $this->handleOtherCases();
        }
    }

    public function ValidateAccountOtpDevice(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'email' => 'required',
            'code' => 'required',
           // 'phone' => 'required',
        ]);

        if ($validator->fails()) {
            return Response::json(['message' => $validator->errors()->first(), 'error' => true], 400);
        }

        $username = $request->input('email');
        $phone = $request->input('phone');
        $data = User::where('username', $username)->first();

        if (!$data) {
            return Response::json(['message' => 'Email does not exist', 'error' => true], 404);
        }

        // if (!empty($phone)) {
        //     if ($data->phone != $phone) {
        //         return Response::json(['message' => 'Phone number does not exist', 'error' => true], 404);
        //     }
        // }
        
        // Determine the action based on the function type
        if ($request->function_type == 'activate-check') {
            if($this->performActivateCheckDevice($request, $data)){
                
                DB::table(TBL_DEVICE)->where('email', $request->email)
                ->where('status', ONE_STATUS)
                ->where(function ($query) use ($request) {
                    $query->where('mac_address', $request->macAddress)
                    ->orWhere('mac_address_2', 'LIKE', '%' . $request->macAddress . '%');
                })
                ->update([
                    'status' => STATUS,
                    'update_date' => Carbon::now()->format('Y-m-d')
                ]);
                
                return response()->json(['macAddress' => $request->macAddress, 'email' => $request->email, 'message' => 'Device unlocked successfully, you can now login', 'success' => true], 200);
            } else {
                return response()->json(['message' => 'OTP verification failed', 'success' => false], 400);
            }
        } elseif ($request->function_type == 'activate-resend') {
            return $this->performActivateResend($request, $data);
        }
    }

    private function performActivateCheckDevice(Request $request, $data)
    {
        $termii = new \Zeevx\LaraTermii\LaraTermii('TLYL7YLhThb8NcOaX4xpa0BtLR0GQ0LlD6exoB1EYkr5pY7uho7jhzy4g38ycQ');
        $otpDetails = $termii->verifyOTP($data->pin_id, $request->code);
        $decode = json_decode($otpDetails);
        //  var_dump($decode); exit;
        if ($decode->verified == 1 || $decode->verified == 'True') {
            User::where('username', $request->email)->update(['verification_status' => 0]);

            return true;
        } else {
            return false;
        }
    }

    private function performActivateCheck(Request $request, $data)
    {
        $termii = new \Zeevx\LaraTermii\LaraTermii('TLYL7YLhThb8NcOaX4xpa0BtLR0GQ0LlD6exoB1EYkr5pY7uho7jhzy4g38ycQ');
        $otpDetails = $termii->verifyOTP($data->pin_id, $request->code);
        $decode = json_decode($otpDetails);
        //  var_dump($decode); exit;
        if ($decode->verified == 1 || $decode->verified == 'True') {
            User::where('username', $request->email)->update(['verification_status' => 0]);

            return Response::json(['data' => '', 'success' => true, 'message' => 'OTP Verified successfully'], 200);
        } else {
            return Response::json(['message' => 'Error verifying OTP', 'data' => null, 'success' => false], 400);
        }
    }

    private function performActivateResend(Request $request, $data)
{
    // Prepare data for the request
    $data = array(
        "api_key" => "TLYL7YLhThb8NcOaX4xpa0BtLR0GQ0LlD6exoB1EYkr5pY7uho7jhzy4g38ycQ",
        "message_type" => "NUMERIC",
        "to" => $this->standardPhone($request->phone),
        "from" => "N-Alert",
        "channel" => "dnd",
        "pin_attempts" => 10,
        "pin_time_to_live" => 5,
        "pin_length" => 5,
        "pin_placeholder" => "< 12345 >",
        "message_text" => "Your pin is < 12345 >",
        "pin_type" => "NUMERIC"
    );

    // Encode data to JSON
    $post_data = json_encode($data);

    // Initialize cURL
    $curl = curl_init();

    // Set cURL options
    curl_setopt_array($curl, array(
        CURLOPT_URL => "https://api.ng.termii.com/api/sms/otp/send",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => $post_data,
        CURLOPT_HTTPHEADER => array(
            "Content-Type: application/json"
        ),
    ));

    // Execute cURL request and get the response
    $response = curl_exec($curl);

    // Close cURL session
    curl_close($curl);

    // Decode the response
    $decode = json_decode($response);
    //var_dump($decode); 

    // Check if pinId is present in the response
    if (isset($decode->pinId)) {
        // Update user's pin_id in the database
        $pinId = $decode->pinId;
        User::where('username', $request->email)->update(['pin_id' => $pinId]);

        return Response::json(['message' => 'Activation code sent', 'success' => true], 200);
    }

    // If pinId is not present, return an error response
    return Response::json(['message' => 'Failed to send activation code', 'success' => false], 500);
}


        public function ValidateAccountOtpWeb(Request $request)
        {
            // Validate only the code and function_type, no need to validate email and phone
            $validator = Validator::make($request->all(), [
                'code' => 'required',
                'function_type' => 'required', // Ensure function_type is provided
            ]);

            if ($validator->fails()) {
                return Response::json(['message' => $validator->errors()->first(), 'error' => true], 400);
            }

            // Get the authenticated user
            $user = Auth::user();
            
            if (!$user) {
                return Response::json(['message' => 'Unauthorized', 'error' => true], 401);
            }

            $username = $user->username;
            $phone = $user->phone;

            $data = User::where('username', $username)->first();

            if (!$data) {
                return Response::json(['message' => 'Email does not exist', 'error' => true], 404);
            }

            // Optional: If phone validation is needed
            // if (!empty($phone) && $data->phone != $phone) {
            //     return Response::json(['message' => 'Phone number does not exist', 'error' => true], 404);
            // }

            // Determine the action based on the function type
            if ($request->function_type == 'activate-check') {
                return $this->performActivateCheckWeb($request, $data);
            } elseif ($request->function_type == 'activate-resend') {
                return $this->performActivateResendWeb($request, $data);
            } elseif ($request->function_type == 'password-check') {
                return $this->performPasswordCheckWeb($request, $data);
            } else {
                return $this->handleOtherCases();
            }
        }



        private function performActivateCheckWeb(Request $request, $data)
        {
            // Check if pin_id is not null
            if (empty($data->pin_id)) {
                return response()->json(['message' => 'pin_id is required', 'data'=> $data, 'success' => false], 400);
            }

            $termii = new \Zeevx\LaraTermii\LaraTermii(env('TERMII_API_KEY'));
            $otpDetails = $termii->verifyOTP($data->pin_id, $request->code);
            $decode = json_decode($otpDetails);

        

            // Add a fallback for undefined properties
            if (isset($decode->verified) && ($decode->verified == 1 || $decode->verified == 'True')) {
                // Find the user
                $user = User::where('username', $data->username)->first();

                if (!$user) {
                    return response()->json(['message' => 'User not found', 'success' => false], 404);
                }

                // Update the user's verification status
                $user->update(['verification_status' => 0]);

                $newUser = User::where('username', $data->username)->first();

                $token = $this->LoginController->generateApiToken($newUser);

                // Return response with the generated token
                return response()->json([
                    'message' => 'OTP Verified successfully',
                    'data' => $user,
                    'api_token' => $token,
                    'success' => true
                ], 200);
            } else {
                return response()->json(['message' => 'Error verifying OTP', 'data' => null, 'success' => false], 400);
            }
        }



       
        private function performActivateResendWeb(Request $request, $data)
        {
        // Prepare data for the request
        $dataRes = array(
            "api_key" => "TLYL7YLhThb8NcOaX4xpa0BtLR0GQ0LlD6exoB1EYkr5pY7uho7jhzy4g38ycQ",
            "message_type" => "NUMERIC",
            "to" => $this->standardPhone($data->phone),
            "from" => "N-Alert",
            "channel" => "dnd",
            "pin_attempts" => 10,
            "pin_time_to_live" => 5,
            "pin_length" => 5,
            "pin_placeholder" => "< 12345 >",
            "message_text" => "Your pin is < 12345 >",
            "pin_type" => "NUMERIC"
        );

        // Encode data to JSON
        $post_data = json_encode($dataRes);

        // Initialize cURL
        $curl = curl_init();

        // Set cURL options
        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://api.ng.termii.com/api/sms/otp/send",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $post_data,
            CURLOPT_HTTPHEADER => array(
                "Content-Type: application/json"
            ),
        ));

        // Execute cURL request and get the response
        $response = curl_exec($curl);

        // Close cURL session
        curl_close($curl);

        // Decode the response
        $decode = json_decode($response);

        // Check if pinId is present in the response
        if (isset($decode->pinId)) {
            // Update user's pin_id in the database
            $pinId = $decode->pinId;
            User::where('username', $data->username)->update(['pin_id' => $pinId]);

            return Response::json(['message' => 'Activation code sent', 'success' => true], 200);
        }

        // If pinId is not present, return an error response
        return Response::json(['message' => 'Failed to send activation code', 'success' => false], 500);
        }



    // private function performActivateResend(Request $request, $data)
    // {
    //     $termii = new \Zeevx\LaraTermii\LaraTermii('TLYL7YLhThb8NcOaX4xpa0BtLR0GQ0LlD6exoB1EYkr5pY7uho7jhzy4g38ycQ');
    //     $otpDetails = $termii->sendOTP($this->standardPhone($request->phone), 'N-Alert', 'ALPHANUMERIC', 10, 5, 5, '< 12345 >', 'Your pin is < 12345 >', 'dnd');
    //     $decode = json_decode($otpDetails);
    //     $pinId = $decode->pinId;
    //     User::where('username', $request->email)->update(['pin_id' => $pinId]);

    //     return Response::json(['message' => 'Activation code sent', 'success' => true], 200);
    // }

    private function performPasswordCheck(Request $request, $data)
    {
        $pinId = $data->pin_id;
        $termii = new \Zeevx\LaraTermii\LaraTermii('TLYL7YLhThb8NcOaX4xpa0BtLR0GQ0LlD6exoB1EYkr5pY7uho7jhzy4g38ycQ');
        $otpDetails = $termii->verifyOTP($pinId, $request->code);
        $decode = json_decode($otpDetails);

        if ($decode->verified == ONE_STATUS || $decode->verified == 'True') {
            return Response::json(['message' => 'OTP Verified successfully', 'success' => true], 200);
        } else {
            return Response::json(['message' => 'Invalid recovery code', 'success' => false], 400);
        }
    }

    private function handleOtherCases()
    {
        // Handle other cases or do nothing.
    }


    // private function generateApiToken($user)
    // {
    //     // Custom claims (similar to your login function)
    //     $customClaims = [
    //         'username' => $user->username,
    //         'email' => $user->email,
    //         'location_id' => $user->location_id,
    //         'name' => $user->name,
    //         // Add more claims if necessary
    //     ];

    //     // Generate the JWT token
    //     $token = JWTAuth::claims($customClaims)->fromUser($user);

    //     // Update the user's api_token with the new JWT
    //     User::where('username', $user->username)->update(['api_token' => $token]);

    //     return $token;
    // }
}
