<?php

namespace App\Http\Controllers\General;

use App\Http\Controllers\Controller;
use App\Models\Retails\QueueLog;
use Illuminate\Http\Request;
use App\Models\Retails\SyncLog;
use App\Models\Retails\SynSetting;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use Illuminate\Support\Facades\Auth;

class NewSyncController extends GeneralController
{
    public function sync(Request $request)
    {
        // Get the 'data' input as an array
        $data = $request->data;

        // return response()->json(['message' => 'testing', 'data' => $data, 'success' => true], 200);

        // // echo json_encode($data); exit;

        $queue = json_decode($data);
        $data = json_decode(json_encode($queue), true); 
       // $data = json_encode($data); 
        
       $res = $this->syncData($data);
       return response()->json(['message' => 'testing', 'data' => $res, 'success' => true], 200); 

        // Optionally, you can return a response
    }

    public function syncData($query)
    {
        global $fun; 
        $pushStatus = [];
        $pullArr = []; 
        // echo json_encode($query[0]['cloud_id']);  exit;
        // foreach($query as $params){ 
        $pullArr = $this->pull($query[0]['client_id'], $query[0]['location_id'], $query[0]['user_id'], $query[0]['device_id'], $query[0]['last_pull'], $query[0]['cloud_id']);
        // }  
        $pushStatus = $this->refineDataAndPush($query);
        $pushStatus = $pushStatus === null ? [] : $pushStatus;
        $res = array_merge(["pull" => $pullArr], ["push" => $pushStatus], ["lastPull" => Carbon::now()->format('Y-m-d')]); 
        return $res;
    }

    public function refineDataAndPush($qry)
    {
        //global $fun; 
        $pStatus = [];
        // $this->arrayPrinter($qry); exit;
        foreach ($qry as $params) { 
            $location_id = isset($params["location_id"]) ? $params["location_id"] : null;
            $client_id = isset($params["client_id"]) ? $params["client_id"] : null;
            $user_id = isset($params["user_id"]) ? $params["user_id"] : null;
            $device_id = isset($params["device_id"]) ? $params["device_id"] : null;
            $query = isset($params["query"]) ? $params["query"] : null;  
            $lastPull =  isset($params["last_pull"]) ? $params["last_pull"] : null;  
            $tableName = isset($params["table_name"]) ? $params["table_name"] : null; 
            $identifier = isset($params["identifier"]) ? $params["identifier"] : null; 
            $source = isset($params["source"]) ? $params["source"] : null; 
            $sync_status = isset($params["sync_status"]) ? $params["sync_status"] : null; 
            $status = isset($params["status"]) ? $params["status"] : null; 
            if ($query) {
                $pushStatus = $this->push($query, $client_id, $location_id, $user_id, $device_id, $lastPull, $tableName, $identifier, $source, $sync_status, $status);
            } else {
                $pushStatus = []; 
            }; 
            array_push($pStatus, $pushStatus);  
        }
        return $pStatus;
    }

    public function pull($client_id, $location_id, $user_id, $device_id, $lastPull, $cloud_id)
    {
        global $fun, $db;
        // echo "ok" . $cloud_id;
        // $chk = $this->hasDevice($device_id, $location_id, $client_id);
        // if (!empty($chk)) {
        if (!empty($cloud_id)) {
            $lastPulls = "id > '$cloud_id' AND ";
        } else {
            $lastPulls = ""; 
        } 
        // } else {
        //     $lastPulls = "";
        //     // echo "got here";
        // } 
        // echo $lastPulls;
        $rlt = $this->syncInfo("$lastPulls client_id = '$client_id'");
        // $db->getSql(); exit;
        if (!empty($rlt)) {
            return $rlt;
        } else {
            return "";
        }
    }

    public function push($query, $client_id, $location_id, $user_id, $device_id, $lastPull, $tableName, $identifier, $source, $sync_status, $status)
    {
        // echo json_encode($query); exit;
        // echo "kjkl" . $identifier; exit;
        // $this->arrayPrinter($query); exit;
        $databaseName = ONLINE_RETAILS; 
        $act = explode(" ", $query);
        $action = $act[0];
        if ($action == "INSERT") {
            $field = $tableName == "bank" ? "identifier" : "id";
            
            // Inserts into respective tables if not exists
            $qex = explode("VALUES", $query);
            
            $value = str_replace(array('(', ')'), '', $qex[1]);
            
            $sql = str_replace('INSERT INTO ', 'INSERT INTO ' . $databaseName . '.', $qex[0])
                . " SELECT $value FROM DUAL WHERE NOT EXISTS ( SELECT $field FROM $databaseName.$tableName WHERE $field = '$identifier' AND client_id = '$client_id' AND location_id = '$location_id') LIMIT 1;";

            DB::insert(DB::raw($sql));
        } else {
            // $x = explode("WHERE", $query);
            // $sql = "$x[0], queued_action_id = '$identifier' WHERE $x[1]"; 
            // $this->rawSql($sql);  

            $databaseName = ONLINE_RETAILS; 

            // Splitting the query at 'UPDATE'
            $parts = explode("UPDATE", $query);
            
            // Assuming the table name is the first word after 'UPDATE'
            // We also ensure to trim any additional spaces
            $tableParts = explode(" ", trim($parts[1]));
            $tableName = $tableParts[0]; // Extracted table name
            
            // Concatenate the database name with the table name
            $updatedTableName = $databaseName . '.' . $tableName;      

            // Replace the original table name in the query with the new one
            $parts[1] = str_replace(" " . $tableName, " " . $updatedTableName, $parts[1]);
            
            $updatedQuery = "UPDATE" . $parts[1];
            
            $x = explode("WHERE", $updatedQuery);
            $sql = "$x[0], queued_action_id = '$identifier' WHERE $x[1]";
            
            DB::insert(DB::raw($sql));
        }
        
        // echo json_encode($query);exit;
        $quer = str_replace("'", "''", $query); 
        
        // echo json_encode($query); exit;
        // Inserts into queue_log table if not exists
        $t = TBL_QUEUE_LOG;

        $sql = "INSERT INTO {$t} (data_result, table_name, identifier, source, client_id, user_id, location_id, device_id, status, last_pull, date, tm, update_date) SELECT '$quer', '{$tableName}', '$identifier', '{$source}', '{$client_id}', '{$user_id}', '{$location_id}', '{$device_id}', '{$sync_status}', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('H:i:s') . "', '" . Carbon::now()->format('Y-m-d H:i:s') . "' FROM DUAL WHERE NOT EXISTS (SELECT identifier FROM {$t} WHERE identifier = '$identifier' AND client_id = '{$client_id}' AND location_id = '{$location_id}') LIMIT 1;";

        // echo json_encode($sql); exit;
        // $db->rawSql($sql);  
        DB::insert(DB::raw($sql));

        if ($action == "UPDATE") {
            $column = "queued_action_id";
        } else {
            if ($tableName != "bank") {
                $column = "id";
            } else {
                $column = "identifier";
            } 
        }

        $qy = "UPDATE $t SET sync_status = 1
                    WHERE identifier = (
                        SELECT $column FROM $databaseName.$tableName
                        WHERE $column = '$identifier' AND client_id = '$client_id' limit 1
                    )";



        // echo json_encode($qy); exit;
        // if ($db->rawSql($qy)) {
        if (DB::update(DB::raw($qy))) {
            $pushed_status = 1;
        } else {
            $pushed_status = 0;
        }

        $o = $this->syncInfo("client_id = '$client_id' AND location_id='$location_id' AND identifier = '$identifier' order by id desc limit 1", "id", "id");

        // $o = $db->getLastInsertedID();
        // $db->getSql();
        $push_rlt = ["identifier" => $identifier, "location_id" => $location_id, "pushed_status" => $pushed_status, "cloud_id" => $o];
               
        return $push_rlt;
    }

    // public function syncInfo($conditions, $fields = "*", $column = "")
    // {
    //     // Start the query with specified fields
    //     $query = QueueLog::selectRaw($fields);

    //     // Apply conditions if they are provided
    //     if (!empty($conditions)) {
    //         $query->whereRaw($conditions);
    //     }

    //     // Fetch the results
    //     $results = $query->get();

    //     // If a specific column is to be printed
    //     if (!empty($column)) {
    //         return $results->pluck($column)->all();
    //     }

    //     return $results;
    // }

    public function syncInfo($conditions, $fields = "*", $column = "")
    {
        // Start the query with specified fields
        $query = QueueLog::selectRaw($fields);

        // Apply conditions if they are provided
        if (!empty($conditions)) {
            $query->whereRaw($conditions);
        }

        // Fetch the results
        $results = $query->get();

        // If a specific column is to be printed and results are found
        if (!empty($column) && $results->isNotEmpty()) {
            // If you expect only one result due to 'LIMIT 1' in your conditions
            if ($results->count() == 1) {
                return $results->first()->$column;
            }

            // If you expect multiple results and want to collect the column values
            return $results->pluck($column)->all();
        }

        return $results;
    }

    
    public function getDefaultSyncSetting() {
       
        return SynSetting::where('client_id', STATUS)->get();   
        
    }

    public function isSyncSetting($name, $location_id, $client_id)
    {
        return SynSetting::where('name', $name)
        ->where('location_id', $location_id)
        ->where('client_id', $client_id)->first();
    }

    public function getSynchronization() {
        $data = SynSetting::where('location_id', Auth::user()->location_id)
        ->where('client_id', Auth::user()->client_id)
        ->where('name', '!=', 'Sync When Inactive')
        ->get();

        return response()->json(['message' => 'Fetched successfully', 'data' => $data, 'success' => true], 200);
    }

    public function getOneSynchronization($id) {
        return SynSetting::where('id', $id)
        ->where('location_id', Auth::user()->location_id)
        ->where('client_id', Auth::user()->client_id)
        ->first();

    }

    public function setSynchronization(Request $request) {
        $arr=[];
        
        foreach($request->data as $res) {
            
            SynSetting::where('id', $res['id'])
            ->where('location_id', Auth::user()->location_id)
            ->where('client_id', Auth::user()->client_id)
            ->update([
                'status' => $res['status']
            ]);

            $data = $this->getOneSynchronization($res['id']);
            array_push($arr, ["status" => $data->status, "name" => $data->name, "id" => $data->id]);
        }
        return response()->json(['message' => 'Set successfully', 'data' => $arr, 'success' => true], 200);
    }

    public function processQueueLogs()
    {
        // Fetch only unprocessed queue_log entries
        $queueLogs = QueueLog::where('processed', 0)->select('id', 'data_result')->get();

        if ($queueLogs->isEmpty()) {
            return response()->json(['message' => 'No unprocessed results found.'], 404);
        }

        $successCount = 0;
        $errorCount = 0;
        $errors = [];

        foreach ($queueLogs as $log) {
            $query = $log->data_result;

            if (!empty($query)) {
                try {
                    // Execute the query
                    DB::statement($query);
                    $successCount++;

                    // Mark the queue_log entry as processed
                    $log->is_processed = 1;
                    $log->save();
                } catch (Exception $e) {
                    $errorCount++;
                    $errors[] = [
                        'query' => $query,
                        'error' => $e->getMessage(),
                    ];
                }
            }
        }

        return response()->json([
            'message' => 'Processing complete.',
            'details' => [
                'success_count' => $successCount,
                'error_count' => $errorCount,
                'errors' => $errors,
            ]
        ]);
    }
}