<?php

namespace App\Http\Controllers\General;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Cache;
use App\Http\Controllers\Controller;
use App\Models\Account\User;
use Illuminate\Support\Facades\Log;



class ZohoCampaignController extends Controller
{
    protected $clientId = '1000.JOIY9MWEYBIG63DK6I748M810GTF9A';
    protected $clientSecret = '0d1d04003c15a590fcedc635368d916e6274a09ef2';
    protected $redirectUri = 'https://klakpad.net/api/api/zoho/callback'; // Change this to your app's URL
    protected $authUrl = 'https://accounts.zoho.com/oauth/v2/auth';
    protected $tokenUrl = 'https://accounts.zoho.com/oauth/v2/token';


    public function redirectToZoho()
{
    // Generate the Zoho OAuth Authorization URL
    $params = [
        'scope' => 'ZohoCampaigns.contact.ALL', // Updated scopes
        'client_id' => $this->clientId,
        'response_type' => 'code',
        'redirect_uri' => $this->redirectUri,
        'access_type' => 'offline',
    ];

    $query = http_build_query($params);
    return response()->json(['authorization_url' => $this->authUrl . '?' . $query]);
}


    
    public function handleZohoCallback(Request $request)
    {
        // Handle the callback and get the authorization code
        $code = $request->input('code');
        if (!$code) {
            return response()->json(['error' => 'Authorization code not found'], 400);
        }
    
        // Exchange authorization code for access token
        $response = Http::asForm()->post($this->tokenUrl, [
            'grant_type' => 'authorization_code',
            'client_id' => $this->clientId,
            'client_secret' => $this->clientSecret,
            'redirect_uri' => $this->redirectUri,
            'code' => $code,
        ]);
    
        $data = $response->json();
    
        // Log the response for debugging purposes
        \Log::channel('slack')->info('Zoho Token Exchange Response', $data);
    
        // Check if we got the access token
        if (isset($data['access_token']) && isset($data['refresh_token'])) {
            // Store access and refresh tokens
            Cache::put('zoho_access_token', $data['access_token'], $data['expires_in']);
            Cache::put('zoho_refresh_token', $data['refresh_token']);
    
            return response()->json(['message' => 'Zoho OAuth integration successful']);
        } else {
            return response()->json(['message' => 'Failed to obtain access token', 'error' => $data], 500);
        }
    }
    
    
    
    // public function sendEmailsToZohoCampaign()
    // {
    //     // Fetch the access token
    //     $accessToken = Cache::get('zoho_access_token');
    
    //     // If token doesn't exist, prompt user to initiate OAuth
    //     if (!$accessToken) {
    //         return response()->json(['message' => 'OAuth authentication is required, please initiate OAuth'], 401);
    //     }
    
    //     // Fetch emails from the User model
    //     $emails = User::pluck('username'); // Ensure this is the correct field for email addresses
    
    //     if ($emails->isEmpty()) {
    //         return response()->json(['message' => 'No emails found'], 404);
    //     }
    
    //     // Prepare the list key and API URL
    //     $listKey = '3z0f03e626f658956f6c2634408f35dd894dc2c9dd3777fa90fbe023bca8670d07'; // Replace with your actual list key
    //     $apiUrl = 'https://campaigns.zoho.com/api/v1.1/addlistsubscribersinbulk';
    
    //     // Loop through emails in batches of 10 as Zoho limits to 10 email IDs per request
    //     $emails->chunk(10)->each(function ($chunkedEmails) use ($accessToken, $apiUrl, $listKey) {
    //         // Convert the chunked emails to a comma-separated string
    //         $emailIds = $chunkedEmails->implode(',');
    
    //         // Prepare the data for the API request
    //         $data = [
    //             'listkey' => $listKey,  // Mandatory field
    //             'resfmt' => 'JSON',     // You want JSON response format
    //             'emailids' => $emailIds // Mandatory field (comma-separated email IDs)
    //         ];
    
    //         // Log the data being sent for debugging
    //         Log::info('Sending data to Zoho', ['data' => $data]);
    
    //         // Make the request to Zoho Campaigns
    //         $response = Http::withHeaders([
    //             'Authorization' => 'Zoho-oauthtoken ' . $accessToken,
    //             'Content-Type' => 'application/x-www-form-urlencoded',
    //         ])->asForm()->post($apiUrl, $data); // Using `asForm()` to correctly send as form data
    
    //         // Check if the request was successful
    //         if ($response->successful()) {
    //             Log::channel('slack')->info('Emails sent to Zoho Campaigns successfully', [
    //                 'status' => $response->status(),
    //                 'emails' => $emailIds,  // Log the email IDs sent
    //                 'response' => $response->body()  // Optionally log the response body
    //             ]);
    //         } else {
    //             Log::channel('slack')->error('Failed to send emails to Zoho', [
    //                 'status' => $response->status(),
    //                 'body' => $response->body(),
    //                 'emails' => $emailIds  // Log the emails being sent
    //             ]);
    //         }
    //     });
    
    //     return response()->json(['message' => 'Emails processing completed. Check logs for details.'], 200);
    // }
    
        
    public function sendEmailsToZohoCampaign(Request $request)
{
    // Fetch the access token
    $accessToken = Cache::get('zoho_access_token');
    $startDate = $request->start_date;
    $endDate = $request->end_date;

    // If token doesn't exist, prompt user to initiate OAuth
    if (!$accessToken) {
        return response()->json(['message' => 'OAuth authentication is required, please initiate OAuth'], 401);
    }

    // Fetch the list key from the request
    $listKey = $request->input('listKey');

    // Validate if listKey is provided in the request
    if (!$listKey) {
        return response()->json(['message' => 'List Key is required'], 400);
    }

    // Initialize the query for users based on the request type
    $users = null;

    // Raw SQL Queries for each type
    
    if ($request->type == 'all_signups') {
        $users = DB::select("SELECT name, email FROM " . TBL_LOCATION . " WHERE start_date BETWEEN '$startDate' AND '$endDate'");
    }

    if ($request->type == 'active_basic') {
        $users = DB::select("SELECT ROW_NUMBER() OVER () AS serial_number, l.name, l.email FROM " . TBL_LOCATION . " l INNER JOIN " . TBL_LOG . " t ON l.id = t.location_id WHERE l.start_date BETWEEN '$startDate' AND '$endDate' AND l.app_plan_id = 1 GROUP BY l.id");
    }

    if ($request->type == 'active_plus') {
        $users = DB::select("SELECT ROW_NUMBER() OVER () AS serial_number, l.name, l.email FROM " . TBL_LOCATION . " l INNER JOIN " . TBL_LOG . " t ON l.id = t.location_id WHERE l.start_date BETWEEN '$startDate' AND '$endDate' AND l.app_plan_id = 2 GROUP BY l.id");
    }

    if ($request->type == 'inactive_basic') {
        $users = DB::select("SELECT DISTINCT t.location_id AS location, l.name, l.email FROM klakpad_retails.location l LEFT JOIN klakpad_retails.txn_log t ON l.id = t.location_id WHERE l.start_date BETWEEN '$startDate' AND '$endDate' AND l.app_plan_id = 1 AND t.location_id IS NULL GROUP BY l.id");
    }

    if ($request->type == 'inactive_plus') {
        $users = DB::select("SELECT DISTINCT t.location_id AS location, l.name, l.email FROM klakpad_retails.location l LEFT JOIN klakpad_retails.txn_log t ON l.id = t.location_id WHERE l.start_date BETWEEN '$startDate' AND '$endDate' AND l.app_plan_id = 2 AND t.location_id IS NULL GROUP BY l.id");
    }

    // Check if no users were found
    if (empty($users)) {
        return response()->json(['message' => 'No users found'], 404);
    }

    // Prepare the API URL for Zoho Campaigns
    $apiUrl = 'https://campaigns.zoho.com/api/v1.1/json/listsubscribe';

    // Loop through users in batches of 5 as Zoho limits to 10 email IDs per request
    collect($users)->chunk(5)->each(function ($chunkedUsers) use ($accessToken, $apiUrl, $listKey) {
        // Prepare the contact data for each user (email, first name, last name)
        $contacts = collect($chunkedUsers)->map(function ($user) {
            $firstName = $this->getFirstName($user->name);
            $lastName = $this->getLastName($user->name);

            return [
                'First Name' => $firstName,
                'Last Name' => $lastName,
                'Contact Email' => $user->email, // Corrected from $user->username to $user->email
            ];
        })->toArray();

        // Only proceed if $contacts is not empty
        if (!empty($contacts)) {
            foreach ($contacts as $contact) {
                // Prepare the data for the API request for each contact
                $contactinfo = json_encode($contact);

                // Prepare the full request data
                $data = [
                    'listkey' => $listKey,    // Use the list key from the request
                    'resfmt' => 'json',       // JSON response format
                    'contactinfo' => $contactinfo, // Single contact info in JSON format
                    'source' => 'API',        // Optional, specify source
                ];

                // Log the data being sent for debugging
                Log::info('Sending data to Zoho', ['data' => $data]);

                // Make the request to Zoho Campaigns
                $response = Http::withHeaders([
                    'Authorization' => 'Zoho-oauthtoken ' . $accessToken,
                    'Content-Type' => 'application/x-www-form-urlencoded',
                ])->asForm()->post($apiUrl, $data); // Using `asForm()` to correctly send as form data

                // Check if the request was successful
                if ($response->successful()) {
                    Log::channel('slack')->info('Contact subscribed to Zoho Campaigns successfully', [
                        'status' => $response->status(),
                        'response' => $response->body()  // Optionally log the response body
                    ]);
                } else {
                    Log::channel('slack')->error('Failed to subscribe contact to Zoho', [
                        'status' => $response->status(),
                        'body' => $response->body(),
                    ]);
                }
            }
        } else {
            Log::channel('slack')->error('No valid contact found in chunk.');
        }
    });

    return response()->json(['message' => 'Contacts subscription process completed. Check logs for details.'], 200);
}



    
    // Helper function to get the first name from the name field
    private function getFirstName($name)
    {
        $nameParts = explode(' ', $name);
        return $nameParts[0]; // The first part of the name is treated as the first name
    }
    
    // Helper function to get the last name from the name field
    private function getLastName($name)
    {
        $nameParts = explode(' ', $name);
        return isset($nameParts[1]) ? $nameParts[1] : ''; // The second part (if exists) is treated as the last name
    }
    


   
    


    
    
   
    
    
    private function refreshZohoToken()
    {
        $refreshToken = Cache::get('zoho_refresh_token');

        // Refresh the access token using the refresh token
        $response = Http::asForm()->post($this->tokenUrl, [
            'grant_type' => 'refresh_token',
            'client_id' => $this->clientId,
            'client_secret' => $this->clientSecret,
            'refresh_token' => $refreshToken,
        ]);

        $data = $response->json();

        // Store the new access token
        Cache::put('zoho_access_token', $data['access_token'], $data['expires_in']);
    }
}
