<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Http\Controllers\AppBaseController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Response;
use Validator;

class NotificationController extends AppBaseController
{


    function sendNotification(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'phone' => 'required'
        ]);

        if ($validator->fails()) {
            return Response::json(['message' => $validator->errors()->first(), 'error' => true], 400);
        }

        $username = $request->input('phone');
        $msg = array(
            'message'   => $request->body,
            'title'     => $request->title,
            'subtitle'  => $request->text,
            // 'tickerText'    => 'Ticker text here...Ticker text here...Ticker text here',
            'vibrate'   => 1,
            'largeIcon' => 'large_icon',
            'smallIcon' => 'small_icon'
        );

        $n = array(
            "body"  =>  $request->body,
            "title" => $request->title,
            "text"  => $request->text,
            "sound" => "warning"
        );

        // $firebaseToken = User::whereNotNull('fcm_token')->pluck('fcm_token')->all();
        $firebaseToken = User::where('phone', $username)->pluck('fcm_token')->toArray();


        $url = 'https://fcm.googleapis.com/fcm/send';
        $fields = array(
            // 'to'             => $firebaseToken,
            'registration_ids' => $firebaseToken,
            'priority'     => "high",
            'notification' => $n,
            'data'         => $msg
        );

        //var_dump($fields);
        $SERVER_API_KEY = env('FCM_SERVER_KEY');
        $headers = array(
            'Authorization: key=' . $SERVER_API_KEY,
            'Content-Type: application/json'
        );

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));
        $result = curl_exec($ch);
        if ($result === FALSE) {
            die('Curl failed: ' . curl_error($ch));
        }
        curl_close($ch);
        // return $result;
    }

    function broadcastNotification(Request $request)
    {
        $msg = array(
            'message'   => $request->body,
            'title'     => $request->title,
            'subtitle'  => $request->text,
            // 'tickerText'    => 'Ticker text here...Ticker text here...Ticker text here',
            'vibrate'   => 1,
            'largeIcon' => 'large_icon',
            'smallIcon' => 'small_icon'
        );

        $n = array(
            "body"  =>  $request->body,
            "title" => $request->title,
            "text"  => $request->text,
            "sound" => "warning"
        );

        $firebaseToken = User::whereNotNull('fcm_token')->pluck('fcm_token')->all();
        $url = 'https://fcm.googleapis.com/fcm/send';
        $fields = array(
            // 'to'             => $firebaseToken,
            'registration_ids' => $firebaseToken,
            'priority'     => "high",
            'notification' => $n,
            'data'         => $msg
        );

        //var_dump($fields);
        $SERVER_API_KEY = env('FCM_SERVER_KEY');
        $headers = array(
            'Authorization: key=' . $SERVER_API_KEY,
            'Content-Type: application/json'
        );

        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($fields));
        $result = curl_exec($ch);
        if ($result === FALSE) {
            die('Curl failed: ' . curl_error($ch));
        }
        curl_close($ch);
        // return $result;
    }
}
