<?php

namespace App\Http\Controllers\Settings\Currency;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Retails\Currency;
use Illuminate\Support\Facades\Auth;

class CurrencyController extends Controller
{
    public function getCurrencyInfo($id = null, $client_id, $location_id)
    {
        $query = Currency::where('status', 0)
            ->where('client_id', $client_id)
            ->where('location_id', $location_id);
    
        if ($id) {
            $query->where('id', $id);
        }
    
        return $query->get();
    }

    public function isPrimaryCurrency($client_id, $location_id)
    {
        return Currency::where('status', 0)
            ->where('client_id', $client_id)
            ->where('location_id', $location_id)
            ->where('currency_cate_id', ONE_STATUS)
            ->first();  
    }
 
    public function currencyDropdown()
{
        $data = Currency::join('currency_cate', 'currency.currency_cate_id', '=', 'currency_cate.id')
        ->where('currency.status', 0)
        ->where('currency.client_id', Auth::user()->client_id)
        ->where('currency.location_id', Auth::user()->location_id)
        ->select('currency.id as value', 'currency_cate.name as title', 'currency.primary_currency')
        ->get();

        return response()->json(['data' => $data, 'success' => true], 200);
}

    public function getCurrencyUnit($client_id, $location_id, $currency_id)
    {
        return Currency::where('status', 0)
            ->where('client_id', $client_id)
            ->where('location_id', $location_id)
            ->where('id', $currency_id)
            ->value('unit');  
    }

    public function getPrimaryCurrency($client_id, $location_id)
    {
        return Currency::where('status', STATUS)
            ->where('client_id', $client_id)
            ->where('location_id', $location_id)
            ->where('primary_currency', ONE_STATUS)
            ->value('id');  
    }

    public function getPrimaryCurrencyInfo()
    {
        $data = Currency::join('currency_cate', 'currency.currency_cate_id', '=', 'currency_cate.id')
        ->where('currency.status', 0)
        ->where('currency.client_id', Auth::user()->client_id)
        ->where('currency.location_id', Auth::user()->location_id)
        ->where('currency.primary_currency', ONE_STATUS)
        ->select('currency.id as value', 'currency_cate.name as title')
        ->get();

        return response()->json(['data' => $data, 'success' => true], 200);
    }
}
