<?php

namespace App\Http\Controllers\Settings\Store;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Retails\store;
use Illuminate\Support\Facades\Auth;

class StoreController extends Controller
{
   
    public function isPrimaryStore($client_id, $location_id)
    {
        return Store::where('status', 0)
            ->where('client_id', $client_id)
            ->where('location_id', $location_id)
            ->where('primary_status', ONE_STATUS)
            ->first();  
    }

    public function getPrimaryStore($client_id, $location_id)
    {
        return Store::where('status', 0)
            ->where('client_id', $client_id)
            ->where('location_id', $location_id)
            ->where('primary_status', ONE_STATUS)
            ->value('id');  
    }

    public function storeDropdown(Request $request)
    {  
        $search = $request->input('search'); 
        $query = Store::where('status', STATUS)
        ->where('client_id', Auth::user()->client_id)
        ->where('location_id', Auth::user()->location_id);
        if (!empty($search)) {
            $query->where('name', 'like', '%' . $search . '%');
        }

        $aalStore = $query->get();

        $formattedStore= [];
        foreach ($aalStore as $store) {
            $formattedStore[] = [
                'value' => $store->id,
                'title' => $store->name
            ];
        }

        return response()->json(['message' => 'Store fetched successfully', 'data' => $formattedStore, 'success' => true], 200);
    }

    public function updatePrimaryStoreName($client_id, $location_id)
    {
        return Store::where('primary_status', ONE_STATUS)
        ->where('client_id', $client_id)
        ->where('location_id', $location_id)
        ->update([
            'name' => 'front outlet',
            'type' => 'sales point'
        ]);
    }

    public function getPrimaryStoreName($client_id, $location_id)
    {
        return Store::where('status', 0)
            ->where('client_id', $client_id)
            ->where('location_id', $location_id)
            ->where('primary_status', ONE_STATUS)
            ->value('name');  
    }
    
}
     
