<?php

namespace App\Http\Controllers\Sync;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Controllers\Sync\SyncInfoController;
use App\Models\Retails\QueueLog;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class PullController extends Controller
{

    protected $syncInfoController;

    public function __construct(SyncInfoController $sync) {
        $this->syncInfoController = $sync;
    }



    public function pullData(Request $request)
    {
        $data = $request->input('data');
        //start time
        $startTime = microtime(true);
        if (!is_array($data)) {
            $data = json_decode($data, true);
        }

        $pullArr = []; 
      
        if (!empty($data)) {
            $firstRecord = $data[0]; 
            $pullArr = $this->pull(
                $firstRecord['client_id'],
                $firstRecord['location_id'],
                $firstRecord['user_id'],
                $firstRecord['device_id'],
                $firstRecord['last_pull'],
                $firstRecord['cloud_id']
            );
        }

        $res = array_merge(["pull" => $pullArr], ["lastPull" => now()->format('Y-m-d')]); 
        $endTime = microtime(true);
        $totalTime = $endTime - $startTime;

        return response()->json(['message' => 'Pulled Successfully', 'data' => $res,  'start_time' => $startTime, 'end_time' =>$endTime, 'time_diff'=>$totalTime, 'success' => true], 200);
    }


   
    public function pull($client_id, $location_id, $user_id, $device_id, $lastPull, $cloud_id)
    {
          
        if (!empty($cloud_id)) {
            $lastPulls = "id > '$cloud_id' AND ";
        } else {
            $lastPulls = ""; 
        } 
       
        $rlt = $this->syncInfoController->syncInfo("$lastPulls client_id = '$client_id'");
        
        if (!empty($rlt)) {
            return $rlt;
            
        } else {
            return "";
        }
    }

    public function dataToPull(Request $request) {
        $client_id = Auth::user()->client_id;
        $location_id = Auth::user()->location_id;
        
        $count = QueueLog::where('id', '>', $request->cloud_id)
                     ->where('client_id', $client_id)
                     ->where('location_id', $location_id)
                     ->where('status', 0)
                     ->distinct()
                     ->count(['date', 'tm']);

        return response()->json(['message' => 'Pulled Successfully', 'data' => $count, 'success' => true], 200);
    }
}
