<?php

namespace App\Http\Controllers\Sync;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Controllers\Sync\SyncInfoController;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;
use App\Models\Retails\QueueLog;
use Illuminate\Support\Facades\Auth;

class PushController extends Controller
{
    
    protected $syncInfoController;

    public function __construct(SyncInfoController $sync) {
        $this->syncInfoController = $sync;
    }


    public function pushData(Request $request)
    {
        $data = $request->data;
         //start time
         $startTime = microtime(true);

        if (!is_array($data)) {
            $data = json_decode($data, true);
        }  
        $pushStatus = []; 
        
        $pushStatus = $this->refineDataAndPush($data);
        $pushStatus = $pushStatus === null ? [] : $pushStatus;
        $res = array_merge(["push" => $pushStatus], ["lastPull" => Carbon::now()->format('Y-m-d')]); 
        $endTime = microtime(true);
        $totalTime = $endTime - $startTime;
        
         return response()->json(['message' => 'Pushed Successfully', 'data' => $res,  'start_time' => $startTime, 'end_time' =>$endTime, 'time_diff'=>$totalTime, 'success' => true], 200);

       
    }
 

    public function refineDataAndPush($qry)
    {
        //global $fun; 
        $pStatus = [];
        // $this->arrayPrinter($qry); exit;
        foreach ($qry as $params) { 
            $location_id = isset($params["location_id"]) ? $params["location_id"] : null;
            $client_id = isset($params["client_id"]) ? $params["client_id"] : null;
            $user_id = isset($params["user_id"]) ? $params["user_id"] : null;
            $device_id = isset($params["device_id"]) ? $params["device_id"] : null;
            $query = isset($params["query"]) ? $params["query"] : null;  
            $lastPull =  isset($params["last_pull"]) ? $params["last_pull"] : null;  
            $tableName = isset($params["table_name"]) ? $params["table_name"] : null; 
            $identifier = isset($params["identifier"]) ? $params["identifier"] : null; 
            $source = isset($params["source"]) ? $params["source"] : null; 
            $sync_status = isset($params["sync_status"]) ? $params["sync_status"] : null; 
            $status = isset($params["status"]) ? $params["status"] : null; 
            if ($query) {
                $pushStatus = $this->push($query, $client_id, $location_id, $user_id, $device_id, $lastPull, $tableName, $identifier, $source, $sync_status, $status);
            } else {
                $pushStatus = []; 
            }; 
            array_push($pStatus, $pushStatus);  
        }
        return $pStatus;
    }

    public function push($query, $client_id, $location_id, $user_id, $device_id, $lastPull, $tableName, $identifier, $source, $sync_status, $status)
    {
        $databaseName = ONLINE_RETAILS;
        $act = explode(" ", $query);
        $action = $act[0];

        // Handling the initial database insert/update
        if ($action == "INSERT") {
            $qex = explode("VALUES", $query);
            $fields = trim($qex[0]);
            $values = trim($qex[1]);

            $fields = str_replace("INSERT INTO", "INSERT IGNORE INTO " . $databaseName . ".", $fields);
            $sql = $fields . " VALUES " . $values;

            DB::beginTransaction();
            try {
                DB::insert(DB::raw($sql));
                DB::commit();
            } catch (\Exception $e) {
                DB::rollback();
                throw $e;
            }
        } else {
           
            // Splitting the query at 'UPDATE'
            $parts = explode("UPDATE", $query);
            
          
            $tableParts = explode(" ", trim($parts[1]));
            $tableName = $tableParts[0]; 
            
          
            $updatedTableName = $databaseName . '.' . $tableName;      

           
            $parts[1] = str_replace(" " . $tableName, " " . $updatedTableName, $parts[1]);
            
            $updatedQuery = "UPDATE" . $parts[1];
            
            $x = explode("WHERE", $updatedQuery);
            $sql = "$x[0], queued_action_id = '$identifier' WHERE $x[1]";
             
            DB::insert(DB::raw($sql));
        }

        // Insert into TBL_QUEUE_LOG
        $t = TBL_QUEUE_LOG;
        $pushed_status = 1;
        $quer = str_replace("'", "", $query);
        $logSql = "INSERT IGNORE INTO $t (data_result, table_name, identifier, source, client_id, user_id, location_id, device_id, status, last_pull, date, tm, update_date, sync_status) VALUES ('$quer', '$tableName', '$identifier', '$source', '$client_id', '$user_id', '$location_id', '$device_id', '1', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('Y-m-d') . "', '$pushed_status')";

        DB::beginTransaction();
        try {
            DB::insert(DB::raw($logSql));
            $lastId = DB::getPdo()->lastInsertId();
            if (empty($lastId)) {
                // Fetch the last ID if the INSERT IGNORE did not add a new entry
                $lastId = DB::table($t)
                            ->where('client_id', $client_id)
                            ->where('location_id', $location_id)
                            ->where('identifier', $identifier)
                            ->orderBy('id', 'desc')
                            ->value('id');
            }
            DB::commit();
        } catch (\Exception $e) {
            DB::rollback();
            throw $e;
        }

        $push_rlt = ["identifier" => $identifier, "location_id" => $location_id, "pushed_status" => $pushed_status, "cloud_id" => $lastId];

        return $push_rlt;
    }


    public function pushSevenMay($query, $client_id, $location_id, $user_id, $device_id, $lastPull, $tableName, $identifier, $source, $sync_status, $status)
    {
        $databaseName = ONLINE_RETAILS;
        $act = explode(" ", $query);
        $action = $act[0];
        if ($action == "INSERT") {
            $field = $tableName == "bank" ? "identifier" : "id";

            $qex = explode("VALUES", $query);
            $fields = trim($qex[0]);
            $values = trim($qex[1]);

            $fields = str_replace("INSERT INTO", "INSERT IGNORE INTO " . $databaseName . ".", $fields);

            $sql = $fields . " VALUES " . $values;

            DB::beginTransaction();
            try {
                DB::insert(DB::raw($sql));
                DB::commit();
            } catch (\Exception $e) {
                DB::rollback();
                // Handle exception (log error, send notification, etc.)
                throw $e; // Re-throw the exception after rollback
            }
        } else {
            $parts = explode("UPDATE", $query);
            $tableParts = explode(" ", trim($parts[1]));
            $tableName = $tableParts[0];
            $updatedTableName = $databaseName . '.' . $tableName;

            $parts[1] = str_replace(" " . $tableName, " " . $updatedTableName, $parts[1]);

            $updatedQuery = "UPDATE" . $parts[1];
            $x = explode("WHERE", $updatedQuery);
            $sql = "$x[0], queued_action_id = '$identifier' WHERE $x[1]";

            DB::beginTransaction();
            try {
                DB::insert(DB::raw($sql));
                DB::commit();
            } catch (\Exception $e) {
                DB::rollback();
                // Handle exception
                throw $e; // Re-throw the exception after rollback
            }
        }

        $quer = str_replace("'", "", $query);
        $t = TBL_QUEUE_LOG;
        $pushed_status = 1; // Set pushed_status directly to 1

        $sql = "INSERT IGNORE INTO $t (data_result, table_name, identifier, source, client_id, user_id, location_id, device_id, status, last_pull, date, tm, update_date, sync_status) VALUES ('$quer', '$tableName', '$identifier', '$source', '$client_id', '$user_id', '$location_id', '$device_id', '1', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('Y-m-d') . "', '$pushed_status')";

        DB::beginTransaction();
        try {
            DB::insert(DB::raw($sql));
            $lastId = DB::getPdo()->lastInsertId(); // Get the last inserted ID
            DB::commit();
        } catch (\Exception $e) {
            DB::rollback();
            // Handle exception
            throw $e; // Re-throw the exception after rollback
        }

        $push_rlt = ["identifier" => $identifier, "location_id" => $location_id, "pushed_status" => $pushed_status, "cloud_id" => $lastId];

        return $push_rlt;
    }


    public function pushOld($query, $client_id, $location_id, $user_id, $device_id, $lastPull, $tableName, $identifier, $source, $sync_status, $status)
    {

        $databaseName = ONLINE_RETAILS; 
        $act = explode(" ", $query);
        $action = $act[0];
        if ($action == "INSERT") {
            $field = $tableName == "bank" ? "identifier" : "id";
            
            $qex = explode("VALUES", $query);
            $fields = trim($qex[0]); 
            $values = trim($qex[1]); 
            
            $fields = str_replace("INSERT INTO", "INSERT IGNORE INTO " . $databaseName . ".", $fields);
            
            $sql = $fields . " VALUES " . $values;
            
            DB::insert(DB::raw($sql)); 
        } else {
 

            // Splitting the query at 'UPDATE'
            $parts = explode("UPDATE", $query);
            
          
            $tableParts = explode(" ", trim($parts[1]));
            $tableName = $tableParts[0]; 
            
          
            $updatedTableName = $databaseName . '.' . $tableName;      

           
            $parts[1] = str_replace(" " . $tableName, " " . $updatedTableName, $parts[1]);
            
            $updatedQuery = "UPDATE" . $parts[1];
            
            $x = explode("WHERE", $updatedQuery);
            $sql = "$x[0], queued_action_id = '$identifier' WHERE $x[1]";
             
            DB::insert(DB::raw($sql));
        }
        $quer = str_replace("'", "", $query); 
         
        // Inserts into queue_log table if not exists
        $t = TBL_QUEUE_LOG;
        $sql = "INSERT IGNORE INTO $t  (data_result, table_name, identifier, source, client_id, user_id, location_id, device_id, status, last_pull, date, tm, update_date)  VALUES ('$quer', '$tableName', '$identifier', '$source', '$client_id', '$user_id', '$location_id', '$device_id', '$sync_status', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('Y-m-d') . "', '" . Carbon::now()->format('Y-m-d') . "')";
                
        DB::insert(DB::raw($sql));

        if ($action == "UPDATE") {
            $column = "queued_action_id";
        } else {
            if ($tableName != "bank") {
                $column = "id";
            } else {
                $column = "identifier";
            } 
        }

        $qy = "UPDATE $t SET sync_status = 1
                    WHERE identifier = (
                        SELECT $column FROM $databaseName.$tableName
                        WHERE $column = '$identifier' AND client_id = '$client_id' limit 1
                    )";

        if (DB::update(DB::raw($qy))) {
            $pushed_status = 1;
        } else {
            $isExist = QueueLog::where('status', STATUS)
            ->where('identifier', $identifier)
            ->where('client_id', Auth::user()->client_id)
            ->where('location_id', Auth::user()->location_id)
            ->value('identifier');

            if($isExist) {
                $pushed_status = 1;
            } else {
                $pushed_status = 0;
            }
        }

        $o = $this->syncInfoController->syncInfo("client_id = '$client_id' AND location_id='$location_id' AND identifier = '$identifier' order by id desc limit 1", "id", "id");

        $push_rlt = ["identifier" => $identifier, "location_id" => $location_id, "pushed_status" => $pushed_status, "cloud_id" => $o];
               
        return $push_rlt;
    }



//     public function push($query, $client_id, $location_id, $user_id, $device_id, $lastPull, $tableName, $identifier, $source, $sync_status, $status)
// {
//     $databaseName = ONLINE_RETAILS; 
//     $action = explode(" ", trim($query))[0];

//     if ($action === "INSERT") {
//         $this->handleInsert($query, $databaseName, $tableName);
//     } elseif ($action === "UPDATE") {
//         $this->handleUpdate($query, $databaseName, $tableName, $identifier);
//     }

//     $this->logQuery($query, $tableName, $identifier, $source, $client_id, $user_id, $location_id, $device_id, $sync_status);
//     $pushed_status = $this->updateSyncStatus($tableName, $identifier, $client_id);

//     return [
//         "identifier" => $identifier,
//         "location_id" => $location_id,
//         "pushed_status" => $pushed_status,
//         "cloud_id" => $this->syncInfoController->syncInfo("client_id = '$client_id' AND location_id='$location_id' AND identifier = '$identifier' order by id desc limit 1", "id", "id")
//     ];
// }

// protected function handleInsert($query, $databaseName, $tableName)
// {
//     $values = explode("VALUES", $query, 2);
//     if (count($values) == 2) {
//         $fields = str_replace("INSERT INTO", "INSERT IGNORE INTO " . $databaseName . ".", trim($values[0]));
//         $sql = $fields . " VALUES " . trim($values[1]);
//         DB::statement($sql);
//     }
// }

// protected function handleUpdate($query, $databaseName, $tableName, $identifier)
// {
//     $parts = preg_split('/\s+SET\s+/', $query, 2);
//     if (count($parts) == 2) {
//         $setPart = $parts[1];
//         $updatedQuery = "UPDATE $databaseName.$tableName SET $setPart";
//         DB::statement($updatedQuery);
//     }
// }



// protected function logQuery($query, $tableName, $identifier, $source, $client_id, $user_id, $location_id, $device_id, $sync_status)
// {
//     $now = Carbon::now()->format('Y-m-d H:i:s');
//     $logTable = TBL_QUEUE_LOG; 
//     $quer = str_replace("'", "", $query);

//     // Using insertOrIgnore to avoid inserting duplicate entries
//     DB::table($logTable)->insertOrIgnore([
//         'data_result' => $quer,
//         'table_name' => $tableName,
//         'identifier' => $identifier,
//         'source' => $source,
//         'client_id' => $client_id,
//         'user_id' => $user_id,
//         'location_id' => $location_id,
//         'device_id' => $device_id,
//         'status' => $sync_status,
//         'last_pull' =>  $now, 
//         'date' => $now,
//         'tm' => $now,
//         'update_date' => $now
//     ]);
// }



// protected function updateSyncStatus($tableName, $identifier, $client_id)
// {
//     $databaseName = ONLINE_RETAILS; 
//     $t =  TBL_QUEUE_LOG; 
//     $column = $tableName !== "bank" ? "id" : "identifier";
//     $sql = "UPDATE $t SET sync_status = 1 WHERE identifier = (SELECT $column FROM $databaseName.$tableName WHERE $column = '$identifier' AND client_id = '$client_id' LIMIT 1)";
//     return DB::update($sql) ? 1 : 0;
// }



}
