<?php

namespace App\Http\Controllers\Sync;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Retails\QueueLog;


class SyncInfoController extends Controller
{
       // public function syncInfo($conditions, $fields = "*", $column = "")
    // {
    //     // Start the query with specified fields
    //     $query = QueueLog::selectRaw($fields);

    //     // Apply conditions if they are provided
    //     if (!empty($conditions)) {
    //         $query->whereRaw($conditions);
    //     }

    //     // Fetch the results
    //     $results = $query->get();

    //     // If a specific column is to be printed
    //     if (!empty($column)) {
    //         return $results->pluck($column)->all();
    //     }

    //     return $results;
    // }

    public function syncInfo($conditions, $fields = "*", $column = "")
    {
        // Start the query with specified fields
        $query = QueueLog::selectRaw($fields);

        // Apply conditions if they are provided
        if (!empty($conditions)) {
            $query->whereRaw($conditions);
        }

        // Add limit to the query
        $query->limit(50000);

        // Fetch the results
        $results = $query->get();

        // If a specific column is to be printed and results are found
        if (!empty($column) && $results->isNotEmpty()) {
            // If you expect only one result due to 'LIMIT 1' in your conditions
            if ($results->count() == 1) {
                return $results->first()->$column;
            }

            // If you expect multiple results and want to collect the column values
            return $results->pluck($column)->all();
        }

        return $results;
    }
}
