<?php

namespace App\Http\Controllers\Sync;

use App\Http\Controllers\Controller; 
use Illuminate\Http\Request; 
use App\Models\Retails\SynSetting;
use Illuminate\Support\Facades\DB; 
use Illuminate\Support\Facades\Auth;  

class SyncSettingController extends Controller
{

    
    
    public function getDefaultSyncSetting() {
       
        return SynSetting::where('client_id', STATUS)->get();   
        
    }

    public function isSyncSetting($name, $location_id, $client_id)
    {
        return SynSetting::where('name', $name)
        ->where('location_id', $location_id)
        ->where('client_id', $client_id)->first();
    }


    public function getSynchronization() {
        $data = SynSetting::where('location_id', Auth::user()->location_id)
        ->where('client_id', Auth::user()->client_id)
        ->where('name', '!=', 'Sync When Inactive')
        ->get();

        return response()->json(['message' => 'Fetched successfully', 'data' => $data, 'success' => true], 200);
    }

    public function getOneSynchronization($id) {
        return SynSetting::where('id', $id)
        ->where('location_id', Auth::user()->location_id)
        ->where('client_id', Auth::user()->client_id)
        ->first();

    }

    public function setSynchronization(Request $request) {
        $arr=[];
        
        foreach($request->data as $res) {
            
            SynSetting::where('id', $res['id'])
            ->where('location_id', Auth::user()->location_id)
            ->where('client_id', Auth::user()->client_id)
            ->update([
                'status' => $res['status']
            ]);

            $data = $this->getOneSynchronization($res['id']);
            array_push($arr, ["status" => $data->status, "name" => $data->name, "id" => $data->id]);
        }
        return response()->json(['message' => 'Set successfully', 'data' => $arr, 'success' => true], 200);
    }


}