<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Traits\ApiResponse;
use Illuminate\Http\Request;



class PlansBillingsController extends Controller
{

    use ApiResponse;
 /**
     * Handle the user registration.
     *
     * @param 
     * @return \Illuminate\Http\JsonResponse
     */

     
    public function planHistory(Request $request)
    {
        try {
            // Retrieve the validated input data
            // $validatedData = $request->validated();

            $planHistory = [
                [
                    'id' => 1,
                    'title' => 'Caronical Mall Nigeria Limited',
                    'plan' => 'Basic plan',
                    'status' => true,
                    'subscriptionDate' => '16 Jan. 2025',
                    'epxDate' => '16 Jan. 2025',
                    'location' => 'Obanikoro Road, Ibadan.',
                    'business' => 'Klakpad Retail',
                    'address' => 'Obanikoro Road, Ibadan.',
                ],
                [
                    'id' => 2,
                    'title' => 'Caronical Mall Nigeria Limited',
                    'plan' => 'Premium 1',
                    'status' => false,
                    'subscriptionDate' => '16 Jan. 2025',
                    'epxDate' => '16 Jan. 2025',
                    'location' => 'Obanikoro Road, Ibadan.',
                    'business' => 'Klakpad Retail',
                    'address' => 'Obanikoro Road, Ibadan.',
                ],
            ];
            return $this->success(
                $planHistory,
                'Plan history',
                200
            );

        } catch (\Exception $e) {
            // Return an error response using ApiResponse
            return $this->error(
                'An error occurred during registration.',
                500,
                ['error' => $e->getMessage()]
            );
        }
    }

    /**
     * Handle the user registration.
     *
     * @param 
     * @return \Illuminate\Http\JsonResponse
     */
    public function billingHistory(Request $request)
    {
        try {
            // Retrieve the validated input data
            // $validatedData = $request->validated();

            $billingHistory = [
                [
                    'id' => 1,
                    'date' => 'Oct. 16, 2023',
                    'title' => 'Monthly renewal of PRO plan',
                    'amount' => '5000',
                    'status' => true,
                    'download' => 'Download',
                    'description' => 'Caronical Mall Nigeria',
                    'plan' => 'Basic plan',
                    'type' => 'Klakpad Sella',
                ],
            ];


            return $this->success(
                $billingHistory,
                'billing history',
                200
            );

        } catch (\Exception $e) {
            // Return an error response using ApiResponse
            return $this->error(
                'An error occurred during registration.',
                500,
                ['error' => $e->getMessage()]
            );
        }
    }

}
