<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Traits\ApiResponse;
use Illuminate\Http\Request;



class WebDashboardController extends Controller
{

    use ApiResponse;
 /**
     * Handle the user registration.
     *
     * @param 
     * @return \Illuminate\Http\JsonResponse
     */
    public function todoNotifications(Request $request)
    {
        try {
            // Retrieve the validated input data
            // $validatedData = $request->validated();

            $todo = [
                'email' => 'lagbaja11@gmail.com',
                'emailNotVerified' => true,
                'accountSetupNotCompleted' => true,
                'showDeadlineNotification' => true,
                'subscriptionDeadline' => 20,
                'todoTotal' => 3,
            ];


            return $this->success(
                $todo,
                'To do Notifications',
                200
            );

        } catch (\Exception $e) {
            // Return an error response using ApiResponse
            return $this->error(
                'An error occurred during registration.',
                500,
                ['error' => $e->getMessage()]
            );
        }
    }

    /**
     * Handle the user registration.
     *
     * @param 
     * @return \Illuminate\Http\JsonResponse
     */
    public function userSubscriptionPlans(Request $request)
    {
        try {
            // Retrieve the validated input data
            // $validatedData = $request->validated();

            $subscriptions =[
                [
                    'name' => 'Klakpad Sella',
                    'location' => '5 Locations',
                    'subscriptions' => [
                        'active' => 3,
                        'inactive' => 2,
                    ],
                    'subAmount' => 60000,
                    'expired' => false,
                    'planType' => 'Plus',
                ],];


            return $this->success(
                $subscriptions,
                'subscription plans',
                200
            );

        } catch (\Exception $e) {
            // Return an error response using ApiResponse
            return $this->error(
                'An error occurred during registration.',
                500,
                ['error' => $e->getMessage()]
            );
        }
    }

    /**
     * Handle the user registration.
     *
     * @param 
     * @return \Illuminate\Http\JsonResponse
     */
    public function clientUsers(Request $request)
    {
        try {
            // Retrieve the validated input data
            // $validatedData = $request->validated();

            $clientUsers = [
                'newlyAddedUsers' => 1,
                'totalUsers' => 6,
                'disabledUsers' => 2,
            ];


            return $this->success(
                $clientUsers,
                'client user',
                200
            );

        } catch (\Exception $e) {
            // Return an error response using ApiResponse
            return $this->error(
                'An error occurred during registration.',
                500,
                ['error' => $e->getMessage()]
            );
        }
    }

    /**
     * Handle the user registration.
     *
     * @param 
     * @return \Illuminate\Http\JsonResponse
     */
    public function userWallet(Request $request)
    {
        try {
            // Retrieve the validated input data
            // $validatedData = $request->validated();

            $userWallet =[
                'availableBalance' => '₦0.00',
            ];


            return $this->success(
                $userWallet,
                'my wallet',
                200
            );

        } catch (\Exception $e) {
            // Return an error response using ApiResponse
            return $this->error(
                'An error occurred during registration.',
                500,
                ['error' => $e->getMessage()]
            );
        }
    }
}
