<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\DB;
use App\Models\Retails\QueueLog;

class ProcessQueueLog implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    protected $queueLog;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    public function __construct(QueueLog $queueLog)
    {
        $this->queueLog = $queueLog;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $query = $this->queueLog->data_result;

        if (!empty($query)) {
            try {
                DB::statement($query);
                // Optionally, mark the log as processed or log success
            } catch (\Exception $e) {
                // Log error
            }
        }
    }
}
