<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use App\Models\Retails\Location;

class SubscriptionReminderMail extends Mailable
{
    use Queueable, SerializesModels;

    public $subscription;
    public $reminderPeriod;

    public function __construct(Location $subscription, $reminderPeriod)
    {
        $this->subscription = $subscription;
        $this->reminderPeriod = $reminderPeriod;
    }

    public function build()
    {
        return $this->view('mail.subscription_reminder')
                    ->with([
                        'subscription' => $this->subscription,
                        'reminderPeriod' => $this->reminderPeriod,
                    ]);
    }
}
