<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BaseModel extends Model
{
    use HasFactory;

    protected static $excludeTables = [
        'queue_log',
        'wallet',
        'transaction_log'
    ];

    protected static function boot()
    {
        parent::boot();

        // Using the saving event to intercept and modify data before saving
        static::saving(function ($model) {

              // Check if the model's table is in the exclude list
            if (in_array($model->getTable(), static::$excludeTables)) {
                return;
            }

            foreach ($model->attributes as $key => $value) {
                if (is_string($value)) {
                    $model->$key = strtolower($value);
                }
            }
        });
    }

    
}