<?php

namespace App\Models\Retails;

use App\Models\BaseModel;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Retails\Bank;

class BankAccount extends BaseModel
{
    use HasFactory;  
    protected $connection = 'mysql_retail';
    public $table = 'bank_account';
    public $timestamps = false;

    public $incrementing = false; // Disable auto-incrementing for the primary key, as we use UUIDs.


    protected $fillable = [
        'id',
        'bank_id',
        'account_type',
        'name',
        'account_no',
        'date',
        'tm',
        'status',
        'user_id',
        'location_id',
        'device_id',
        'client_id',
        'control_id',
        'control_user_id',
        'update_date',
        'queued_action_id',
        'origin',
        'visibility'
    ];

    public function bank()
    {
        return $this->belongsTo(Bank::class);
    }

}
