<?php

namespace App\Models\Retails;

use App\Models\BaseModel;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Customer extends BaseModel
{
    use HasFactory; 
    protected $connection = 'mysql_retail';

    public $timestamps = false;

    public $table = 'customers';

    public $incrementing = false; // Disable auto-incrementing for the primary key, as we use UUIDs.

    protected $fillable = [
        'id',
        'coy_name',
        'name',
        'gender',
        'phone',
        'cate',
        'dob',
        'previous_balance',
        'credit_limit',
        'email',
        'address',
        'loyalty_code',
        'year',
        'month',
        'day',
        'user_id',
        'location_id',
        'client_id',
        'tm',
        'date',
        'update_date',
        'status'
    ];


    public function txnLogs()
    {
        return $this->hasMany(TxnLog::class, 'coy');
    }

}
