<?php

namespace App\Models\Retails;

use App\Models\BaseModel;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\Retails\ChartOfAccount;
use Ramsey\Uuid\Uuid;
// use Illuminate\Support\Str;
  
class ItemCategory extends BaseModel
{
    use HasFactory;
    protected $connection = 'mysql_retail';

    public $table = 'item_category';
    public $timestamps = false;
    public $incrementing = false; // Disable auto-incrementing for the primary key, as we use UUIDs.

    protected $fillable = [
        'id',
        'name',
        'income_account',
        'status',
        'user_id',
        'location_id',
        'client_id',
        'tm',
        'date',
        'update_date',
        'item_class_id'
    ];


    public function chartOfAccount()
    {
        return $this->belongsTo(ChartOfAccount::class, 'income_account', 'code');
    }
}