<?php

namespace App\Models\Retails;

use App\Models\BaseModel;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Rights extends BaseModel
{
    use HasFactory;
    protected $connection = 'mysql_retail';

    public $table = 'rights';

    public $incrementing = false; // Disable auto-incrementing for the primary key, as we use UUIDs.
    public $timestamps = false;

    protected $fillable = [
        'id',
        'user_id',
        'menu_id',
        'module_id',
        'sub_menu',
        'user',
        'location_id',
        'client_id',
        'tm',
        'date',
        'status',
        'plan_id',
    ];

    public function menu()
{
    return $this->belongsTo(Menu::class, 'menu_id');
}

public function module()
{
    return $this->belongsTo(MobileModule::class, 'module_id');
}
}
