<?php

namespace App\Models\Retails;

use App\Models\BaseModel;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TxnLog extends BaseModel
{
    use HasFactory;
    protected $connection = 'mysql_retail';

    public $table = 'txn_log';
    public $timestamps = false;

    public $incrementing = false; // Disable auto-incrementing for the primary key, as we use UUIDs.
    protected $fillable = [
        'id',
        'account_type',
        'txnid',
        'txn_date',
        'chart_id',
        'jvalue',
        'token',
        'log_type',
        'sync_id',
        'jvdr',
        'jvcr',
        'effect',
        'pmethod',
        'rep_id',
        'region_id',
        'pmt_split',
        'guest_id',
        'room_id',
        'sales_person',
        'bank_account_id',
        'bank_id',
        'teller',
        'confirm_bank_pos',
        'currency_id',
        'currency_value',
        'currency_unit',
        'bene',
        'being',
        'chart_cate',
        'pmt',
        'pmt_action',
        't',
        'status',
        'prefix',
        'credit_duration_date',
        'br',
        'shift',
        'comp',
        'date',
        'tm',
        'coy',
        'coy2',
        'day_name',
        'week_no',
        'month_no',
        'hr',
        'shared_user_id',
        'comp',
        'user_id',
        'device_id',
        'outlet_id',
        'location_id',
        'client_id',
        'update_date',
        'ap_date',
        'other_charges',
        'control_user_id',
        'control_id',
        'notification',
        'ampm',
        'billing_type',
        'reset',
        'voucher',
        'up_date',
        'room_class',
        'pr',
        'cus_cate',
        'queued_action_id',
        'origin'
    ];
    

 
    public function customer()
    {
        return $this->belongsTo(Customer::class, 'coy');
    }
}
