<?php

namespace App\Repositories;

use App\Models\Retails\AccountType;
use App\Models\Retails\ChartCate;
use App\Models\Retails\ChartOfAccount;
use App\Repositories\Contracts\AccountRepositoryInterface;

class AccountRepository implements AccountRepositoryInterface
{
    public function getDefaultAccountClass(): array
    {
        return AccountType::where('status', 0)
            ->orderBy('id', 'ASC')
            ->get()
            ->toArray();
    }

    public function getChartCateInfo(int $clientId, int $locationId): array
    {
        return ChartCate::where('client_id', $clientId)
            ->where('location_id', $locationId)
            ->where('status', 0)
            ->get()
            ->toArray();
    }

    public function getChartOfAccountInfo(int $clientId, int $locationId): array
    {
        return ChartOfAccount::where('client_id', $clientId)
            ->where('location_id', $locationId)
            ->where('status', 0)
            ->get()
            ->toArray();
    }
}
