<?php

namespace App\Repositories\Contracts;

interface LocationRepositoryInterface
{
    /**
     * Get the plan ID for a specific client and location.
     *
     * @param int $clientId
     * @param int $locationId
     * @return int|null
     */
    public function getPlanId(int $clientId, int $locationId): ?int;

    public function getDefaultLocations(int $clientId, ?int $locationId, bool $locationOverview): array;

    public function isExpired(int $clientId, int $locationId): bool;

    public function getSubscriptionStatus(int $clientId, int $locationId): string;
}
