<?php

namespace App\Repositories\Contracts;
use App\Models\Account\User;

interface UserRepositoryInterface
{
    public function findByEmail(string $email);

     /**
     * Find a user by email or username.
     *
     * @param string $input
     * @return User|null
     */
    public function findByEmailOrUsername(string $input): ?User;

    public function getDefaultUsers(int $clientId, bool $overview, int $userId, int $locationId): array;

    public function getDefaultUsersPinCode(int $clientId, int $locationId): array;
}
