<?php

namespace App\Repositories;

use App\Models\Retails\CurrencyCate;
use App\Repositories\Contracts\CurrencyRepositoryInterface;

class CurrencyRepository implements CurrencyRepositoryInterface
{
    /**
     * Get the list of active currencies with their symbols.
     *
     * @return array
     */
    public function getDefaultCurrency(): array
    {
    // Fetch the data using Eloquent
    $currencies = CurrencyCate::select('id', 'name', 'status', 'symbol')
        ->where('status', 0)
        ->get();

    // Decode the HTML entities in the 'symbol' field
    $currencies->transform(function ($currency) {
        $currency->symbol = html_entity_decode($currency->symbol, ENT_QUOTES, 'UTF-8');
        return $currency;
    });
    // \Log::info('Request data:', ['user' => $currencies->toArray()]);
    // Convert to an array and return
    return $currencies->toArray();
    }

}
