<?php

namespace App\Repositories;

use App\QueryBuilders\QueryBuilderResolver;
use Illuminate\Support\Facades\DB;
use App\Repositories\Contracts\CustomQueryRepositoryInterface;

class CustomQueryRepository implements CustomQueryRepositoryInterface
{
    protected QueryBuilderResolver $resolver;

    public function __construct(QueryBuilderResolver $resolver)
    {
        $this->resolver = $resolver;
    }

    public function executeQuery(string $builderKey, ...$params): array
    {
        $queryBuilder = $this->resolver->resolve($builderKey);
        $query = $queryBuilder->build(...$params);

        return DB::select($query);
    }
}
