<?php

namespace App\Repositories;

use App\Models\Retails\Customer;
use App\Repositories\Contracts\CustomerRepositoryInterface;

class CustomerRepository implements CustomerRepositoryInterface
{
    /**
     * Get the default vendor for a client.
     *
     * @param int $clientId
     * @return array
     */
    public function getDefaultVendor(int $clientId): array
    {
        return Customer::where('client_id', $clientId)
            ->where('coy_name', 'default vendor')
            ->where('cate', 'cust')
            ->where('status', 0)
            ->get()
            ->toArray();
    }

    /**
     * Get the default walk-in customer for a client.
     *
     * @param int $clientId
     * @return array
     */
    public function getDefaultWalkInCustomer(int $clientId): array
    {
        return Customer::where('client_id', $clientId)
            ->where('coy_name', 'walk-in customer')
            ->where('cate', 'lba')
            ->where('status', 0)
            ->get()
            ->toArray();
    }
}
