<?php

namespace App\Repositories;


use App\Models\Retails\Measurement;
use App\Models\Retails\MeasurementCategory;
use App\Repositories\Contracts\MeasurementRepositoryInterface;

class MeasurementRepository implements MeasurementRepositoryInterface
{
    public function getDefaultMeasurement(int $clientId, int $locationId): array
    {
        return Measurement::where('client_id', $clientId)
            ->where('location_id', $locationId)
            ->where('status', 0)
            ->orderBy('id', 'ASC')
            ->get()
            ->toArray();
    }

    public function getDefaultMeasurementCategory(int $clientId): array
    {
        return MeasurementCategory::where('client_id', $clientId)
            ->where('status', 0)
            ->orderBy('id', 'ASC')
            ->get()
            ->toArray();
    }
}
