<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;
use App\Models\Account\User;

class UserExists implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        // Check if a user exists with the given email or username
        return !User::whereRaw('LOWER(username2) = ?', [strtolower($value)])
            ->orWhereRaw('LOWER(username) = ?', [strtolower($value)])
            ->exists();
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'The :attribute is already in use.';
    }
}
