<?php

namespace App\Services\General;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Response; 
use App\Models\Retails\Countries;
use App\Models\Retails\States;
use Illuminate\Support\Facades\DB;
use JWTAuth;



class GeneralService 
{

    public function generateUniqueNumber($table, $column) {
        $generatedNumber = $this->generateRandomNumber();
      
        $query = DB::table($table)->where($column, $generatedNumber)->first();
      
        while ($query != null) {
          $generatedNumber = $this->generateRandomNumber();
          $query = DB::table($table)->where($column, $generatedNumber)->first();
        }
      
        return $generatedNumber;
      }

      public function generateRandomNumber() {
        $number = rand(1000000000, 9999999999);
        return $number;
      }



    public static function arrayPrinter($array)
    {
        echo '<pre>';
        print_r($array);
        echo '</pre>';
    }

    public function generateToken($prefix = '', $user)
    {
        return $prefix.str_shuffle(time().$user);
    }

    public function hashPass($password, $salt) {
		$hash_password = hash("SHA512", base64_encode(str_rot13(hash("SHA512", str_rot13($salt . $password)))));
		return $hash_password;
	}

    public function salt() {
		$length = 45;
		return base64_encode(random_bytes(ceil(0.75 * $length)));
	}

    public static function checkPhone($phone)
    {
        if (!is_numeric($phone)) {
            return true;
        }
        if (
            strlen($phone) !== 11 &&
            strlen($phone) !== 14 &&
            strlen($phone) !== 13
        ) {
            return true;
        }
        return false;
    }

    public static function checkEmail($email)
    {
        if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
            return true;
        }
        return false;
    }

 

    public function testAuth()
    {
        echo 'here';
    }

  

    public function standardPhone($recipients)
    {
        $gsm = [];
        $country_code = '234';
        $arr_recipient = explode(',', $recipients);
        //$mobilenumber = trim($arr_recipient);

        foreach ($arr_recipient as $recipient) {
            $mobilenumber = trim($recipient);
            if (substr($mobilenumber, 0, 1) == '0') {
                $mobilenumber = $country_code.substr($mobilenumber, 1);
            } elseif (substr($mobilenumber, 0, 1) == '+') {
                $mobilenumber = substr($mobilenumber, 1);
            }
            $generated_id = uniqid('int_', false);
            $generated_id = substr($generated_id, 0, 30);
            $gsm['gsm'][] = ['msidn' => $mobilenumber, 'msgid' => $generated_id];
        }

        return  $mobilenumber;
    }

}
