<?php

namespace App\Services;

class TermiiSMSService
{
    protected $baseUrl;
    protected $apiKey;
    protected $senderId;

    public function __construct()
    {
        $this->baseUrl = 'https://api.ng.termii.com/api/sms/send';
        $this->apiKey = 'TLYL7YLhThb8NcOaX4xpa0BtLR0GQ0LlD6exoB1EYkr5pY7uho7jhzy4g38ycQ';
        $this->senderId = 'N-Alert';
    }

    // Method to standardize phone number to international format
    public function standardPhone($recipients)
    {
        $gsm = [];
        $country_code = '234';
        $arr_recipient = explode(',', $recipients);
        //$mobilenumber = trim($arr_recipient);

        foreach ($arr_recipient as $recipient) {
            $mobilenumber = trim($recipient);
            if (substr($mobilenumber, 0, 1) == '0') {
                $mobilenumber = $country_code.substr($mobilenumber, 1);
            } elseif (substr($mobilenumber, 0, 1) == '+') {
                $mobilenumber = substr($mobilenumber, 1);
            }
            $generated_id = uniqid('int_', false);
            $generated_id = substr($generated_id, 0, 30);
            $gsm['gsm'][] = ['msidn' => $mobilenumber, 'msgid' => $generated_id];
        }

        return  $mobilenumber;
    }

    public function sendSMS($to, $message)
    {
        // Standardize phone number before sending
        $to = $this->standardPhone($to);

        // Prepare the data for the cURL request
        $payload = [
            'to' => $to,
            'from' => $this->senderId,
            'sms' => $message,
            'type' => 'plain',
            'channel' => 'dnd',
            'api_key' => $this->apiKey
        ];

        // Initialize cURL
        $ch = curl_init();

        // Set the options for cURL
        curl_setopt($ch, CURLOPT_URL, $this->baseUrl);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POST, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
        curl_setopt($ch, CURLOPT_HTTPHEADER, [
            'Content-Type: application/json'
        ]);

        // Execute the cURL request
        $response = curl_exec($ch);

        // Check for cURL errors
        if (curl_errno($ch)) {
            $error_msg = curl_error($ch);
            curl_close($ch);
            return [
                'success' => false,
                'message' => 'cURL error: ' . $error_msg
            ];
        }

        // Get HTTP response code
        $httpStatusCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        curl_close($ch);

        // Return the response
        if ($httpStatusCode == 200) {
            return [
                'success' => true,
                'message' => 'SMS sent successfully',
                'response' => json_decode($response, true)
            ];
        } else {
            return [
                'success' => false,
                'message' => 'Failed to send SMS',
                'status_code' => $httpStatusCode,
                'response' => json_decode($response, true)
            ];
        }
    }
}
