<?php

namespace App\Services;

use Illuminate\Support\Facades\DB;

class TransactionManager
{
    /**
     * Execute a callback within a database transaction.
     *
     * @param callable $callback
     * @return mixed
     * @throws \Exception
     */
    public function run(callable $callback)
    {
        return DB::transaction(function () use ($callback) {
            return $callback();
        });
    }
}
