<?php 


namespace App\Services;

use Illuminate\Support\Facades\Http;
use DB;

class ZeptoMailService
{
    protected $endpoint = 'https://api.zeptomail.com/v1.1/email';
    protected $apiKey = 'wSsVR60krhLyXKYonTL4LrxtzFkHAFrwFEks21P06nT4G/jL98c4kRDKDAD0FfEeQjRgHGMS9rIpmR8J1DNdi9t4zw0DWiiF9mqRe1U4J3x17qnvhDzOXmVfmxuMKYIJxARjk2NnGs0m+g==';  

    public function sendEmail($to, $subject, $htmlBody)
    {
        $response = Http::withHeaders([
            'accept' => 'application/json',
            'authorization' => 'Zoho-enczapikey '.$this->apiKey,
            'content-type' => 'application/json',
        ])->post($this->endpoint, [
            'from' => [
                'address' => 'hello@klakpad.com', // Your from address
            ],
            'to' => [[
                'email_address' => [
                    'address' => $to,
                ],
            ]],
            'subject' => $subject,
            'htmlbody' => $htmlBody,
        ]);

        return $response;
    }


    public function sendEmailsToZohoCampaign()
    {
        // Fetch emails from the database
        $emails = DB::table('users')->pluck('email'); // Modify based on your table

        if ($emails->isEmpty()) {
            return response()->json(['message' => 'No emails found'], 404);
        }

        // Prepare data for Zoho Campaigns
        $api_url = 'https://campaigns.zoho.com/api/v1.1/addmemberstolist';
        $api_key = 'your_zoho_campaigns_api_key';
        $list_key = 'your_zoho_list_key'; // Your Zoho list key

        $data = [
            'resfmt' => 'JSON',
            'listkey' => $list_key,
            'contacts' => json_encode($emails->toArray()) // Convert emails to an array and then to JSON
        ];

        // Make the request using Laravel's Http client
        $response = Http::withHeaders([
            'Authorization' => 'Zoho-oauthtoken ' . $api_key
        ])->post($api_url, $data);

        if ($response->successful()) {
            return response()->json(['message' => 'Emails sent to Zoho Campaigns successfully'], 200);
        } else {
            return response()->json(['message' => 'Failed to send emails', 'error' => $response->body()], 500);
        }
    }


    
}



