<?php

namespace App\Traits;

use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Cookie;
use App\Enums\OriginEnum;

trait AuthenticateUser
{
    /**
     * Perform login logic.
     *
     * @param \App\Models\User $user
     * @param int $origin
     * @return \Illuminate\Http\JsonResponse
     */
    public function performLogin($user)
    {

            $tokens = $this->tokenService->generateTokens($user);

            // Set cookies for accessToken and refreshToken
            $accessTokenCookie = Cookie::make('accessToken', $tokens['accessToken'], 60 * 1, '/', null, false, true);
            $refreshTokenCookie = Cookie::make('refreshToken', $tokens['refreshToken'], 60 * 24, '/', null, false, true);

            // Log::channel('teams')->info('User logged in successfully', [
            //     'user_id' => $user->id,
            //     'ip' => request()->ip(),
            //     'channel' => 'critical',
            // ]);
            return [
                'accessTokenCookie' => $accessTokenCookie,
                'refreshTokenCookie' =>$refreshTokenCookie,
            ];
 }


}
