<?php

namespace App\Utils;

use Exception;

class FileReaderUtility
{
    /**
     * Reads the content of a file and returns it as a string.
     *
     * @param string $fileName
     * @return string
     * @throws Exception
     */
    public static function readDatabaseFile(string $fileName): string
    {
        $filePath = base_path("database/sql/$fileName.sql");

        if (!file_exists($filePath)) {
            throw new Exception("File does not exist: $filePath");
        }

        if (filesize($filePath) === 0) {
            throw new Exception("File is empty: $filePath");
        }

        return file_get_contents($filePath);
    }
}
