<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('commission_log', function (Blueprint $table) {
            $table->integer('id')->primary();
            $table->integer('advisor_id');
            $table->integer('commission_id');
            $table->decimal('setup_commission_value', 12);
            $table->decimal('sub_commission_value', 12);
            $table->integer('product_pricing_id');
            $table->integer('app_id');
            $table->integer('client_id')->index('client_id');
            $table->date('date');
            $table->time('tm');
            $table->integer('settlement_status');
            $table->integer('status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('commission_log');
    }
};
