<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('coupon_users', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('code', 100);
            $table->integer('percentage');
            $table->decimal('amount_charged', 10);
            $table->decimal('amount_deducted', 10)->nullable();
            $table->decimal('amount_paid', 10);
            $table->string('token', 100);
            $table->integer('user_id')->index('user_id');
            $table->integer('location_id');
            $table->integer('client_id')->index('client_id');
            $table->integer('app_id')->index('app_id');
            $table->date('date');
            $table->time('tm');
            $table->integer('status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('coupon_users');
    }
};
