<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('debit_card', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('authorization_code', 100)->nullable();
            $table->string('bin', 50)->nullable();
            $table->integer('last_four')->nullable();
            $table->integer('exp_month')->nullable();
            $table->integer('exp_year')->nullable();
            $table->string('channel', 10)->nullable();
            $table->string('card_type', 10)->nullable();
            $table->string('bank', 50)->nullable();
            $table->string('country_code', 10)->nullable();
            $table->string('brand', 10)->nullable();
            $table->string('reusable', 10)->nullable();
            $table->string('signature', 100)->nullable();
            $table->string('account_name', 50)->nullable();
            $table->integer('client_id')->nullable()->index('client_id');
            $table->integer('user_id')->nullable()->index('user_id');
            $table->integer('location_id')->nullable();
            $table->integer('default')->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->integer('status')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('debit_card');
    }
};
