<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('device_log', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('mac_address', 222)->nullable();
            $table->string('mac_address_2', 222)->nullable();
            $table->string('name', 222);
            $table->string('timezone', 30)->nullable();
            $table->string('email', 222);
            $table->integer('client_id')->index('client_id');
            $table->integer('location_id');
            $table->integer('outlet_id')->nullable();
            $table->integer('user_id')->index('user_id');
            $table->date('date');
            $table->dateTime('update_date');
            $table->integer('status');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('device_log');
    }
};
