<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('licensee', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('name', 90)->nullable();
            $table->integer('app_item_class_id')->nullable();
            $table->string('address', 255)->nullable();
            $table->string('state', 90)->nullable();
            $table->string('phone', 110)->nullable();
            $table->integer('bar')->nullable();
            $table->integer('rest')->nullable();
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->time('tm')->nullable();
            $table->string('logo', 200)->nullable();
            $table->string('rooms', 5)->nullable();
            $table->string('license_no', 90)->nullable();
            $table->string('email', 90)->nullable();
            $table->string('website', 90)->nullable();
            $table->integer('allowed_users')->nullable();
            $table->integer('sales_point')->nullable();
            $table->string('timezone', 30)->nullable();
            $table->string('device_name', 30)->nullable();
            $table->string('source', 30)->nullable();
            $table->integer('multi')->nullable();
            $table->integer('app')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('advisor_id', 110)->nullable();
            $table->string('currency_sign', 11)->nullable();
            $table->string('bank_name', 100)->nullable();
            $table->string('account_name', 100)->nullable();
            $table->string('account_number', 100)->nullable();
            $table->integer('status')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->integer('app_plan_id')->nullable();
            $table->integer('maxi_plan_id')->nullable();
            $table->integer('duration')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('licensee');
    }
};
