<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('location', function (Blueprint $table) {
            $table->integer('id')->primary();
            $table->integer('app_plan_id');
            $table->string('name', 90);
            $table->string('bearer_id', 150);
            $table->string('logo', 250);
            $table->string('template', 225);
            $table->string('address', 200);
            $table->string('phone', 30);
            $table->string('website', 30);
            $table->string('email', 30);
            $table->string('allowed_users', 4);
            $table->integer('allowed_items');
            $table->integer('allowed_store');
            $table->string('slogan', 250);
            $table->integer('multi_store')->default(1);
            $table->integer('sales_interface')->default(1);
            $table->string('cost_method', 20);
            $table->string('biz_default', 11);
            $table->string('sales_disclaimer', 250);
            $table->integer('sales_point_method');
            $table->string('timezone', 30);
            $table->integer('user_id');
            $table->integer('client_id');
            $table->integer('agent_id');
            $table->integer('temp_agent_id');
            $table->integer('team_id');
            $table->string('sub_type', 20);
            $table->integer('cron');
            $table->date('date');
            $table->time('tm');
            $table->dateTime('update_date');
            $table->integer('vat_value');
            $table->integer('loc_status');
            $table->integer('status');
            $table->integer('vat_status');
            $table->string('currency', 90);
            $table->string('country', 90);
            $table->integer('additional_item');
            $table->integer('subscription_status');
            $table->date('start_date');
            $table->date('end_date');
            $table->string('ig_address', 100);
            $table->string('fb_address', 100);
            $table->string('twitter_address', 100);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('location');
    }
};
