<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('market_place_profile', function (Blueprint $table) {
            $table->integer('id')->primary();
            $table->integer('client_id')->nullable()->index('client_id');
            $table->integer('location_id')->nullable();
            $table->integer('user_id')->nullable()->index('user_id');
            $table->integer('app_id');
            $table->string('business_name', 255)->nullable();
            $table->string('url_name', 255)->nullable();
            $table->string('business_address', 255)->nullable();
            $table->string('business_phone', 255)->nullable();
            $table->string('business_phone2', 255)->nullable();
            $table->string('email_address', 255)->nullable();
            $table->integer('verification_status')->nullable();
            $table->string('percentage_charge', 1000);
            $table->string('integration', 1000);
            $table->string('subaccount_code', 1000);
            $table->string('bank', 100);
            $table->string('account_name', 100);
            $table->string('account_number', 100);
            $table->string('document_type', 200);
            $table->string('document', 200);
            $table->string('logo', 200);
            $table->integer('status')->nullable();
            $table->time('tm')->nullable();
            $table->timestamp('date')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('market_place_profile');
    }
};
