<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sms_transaction', function (Blueprint $table) {
            $table->integer('id')->primary();
            $table->integer('advisor_id');
            $table->decimal('unit', 12);
            $table->text('msg');
            $table->string('name', 200);
            $table->text('msg_type');
            $table->text('sms_type');
            $table->text('outlet_name');
            $table->text('room_category_name');
            $table->text('room_name');
            $table->text('folio_id');
            $table->string('phone', 15);
            $table->decimal('amount', 12);
            $table->integer('reference');
            $table->integer('location_id');
            $table->integer('client_id')->index('client_id');
            $table->date('date');
            $table->time('tm');
            $table->string('effect', 2);
            $table->integer('status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sms_transaction');
    }
};
