<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('transaction_log', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('biller_name', 100)->nullable();
            $table->integer('biller_id')->nullable();
            $table->string('biller_description', 100)->nullable();
            $table->string('payment_type', 100)->nullable();
            $table->string('payment_source', 50)->nullable();
            $table->string('card_signature', 100)->nullable();
            $table->string('biller_reference', 200)->nullable();
            $table->integer('ref_id')->nullable()->comment('CBD');
            $table->string('token', 200)->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('client_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->decimal('amount', 10)->nullable();
            $table->decimal('total_charged', 10)->nullable();
            $table->decimal('plan_amount', 10)->nullable();
            $table->decimal('total_amount', 10)->nullable();
            $table->integer('discount_percentage')->nullable();
            $table->integer('additional_products')->nullable();
            $table->integer('additional_users')->nullable();
            $table->integer('additional_warehouse')->nullable();
            $table->integer('qty')->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->decimal('total', 12)->nullable();
            $table->integer('status')->nullable();
            $table->string('payment_status', 10)->nullable();
            $table->integer('transaction_pin')->nullable();
            $table->integer('advisor_id')->nullable()->comment('CBD');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('transaction_log');
    }
};
