<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('name', 90);
            $table->string('username', 90);
            $table->string('phone', 100)->nullable();
            $table->string('password', 225);
            $table->string('salt', 225);
            $table->string('api_token', 1000);
            $table->string('email', 90);
            $table->integer('status');
            $table->integer('verification_status');
            $table->string('office', 90);
            $table->date('date');
            $table->string('position', 90);
            $table->string('app', 10);
            $table->string('sms_verification', 100);
            $table->integer('email_verification');
            $table->string('verification_expiry_time', 100);
            $table->integer('over_view');
            $table->integer('location_overview');
            $table->integer('edit');
            $table->integer('deletion');
            $table->integer('back_date');
            $table->integer('discount');
            $table->string('store_id', 190);
            $table->integer('location_id');
            $table->integer('client_id');
            $table->integer('master_status');
            $table->integer('admin_status');
            $table->integer('agent_status');
            $table->integer('up_sell');
            $table->integer('store_master');
            $table->integer('sales_priviledge');
            $table->integer('bank_priviledge');
            $table->integer('stock_cp');
            $table->integer('sales_return');
            $table->integer('confirm_bank_pos');
            $table->string('timezone', 100);
            $table->time('tm');
            $table->string('agent_ref', 50);
            $table->dateTime('update_date');
            $table->dateTime('support_pin_time');
            $table->string('salt2', 225);
            $table->string('password2', 225);
            $table->string('pincode', 30);
            $table->integer('email_subscription');
            $table->string('linkedin', 200);
            $table->integer('allowed_on_web');
            $table->integer('allowed_on_desktop');
            $table->integer('allowed_on_mobile');
            $table->string('dashboard', 222);
            $table->string('pin_id', 1000);
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user');
    }
};
