<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('wallet', function (Blueprint $table) {
            $table->integer('id', true);
            $table->integer('product_id')->nullable();
            $table->decimal('amount', 12)->nullable();
            $table->integer('promo_percentage')->nullable();
            $table->decimal('total_amount', 10)->nullable();
            $table->decimal('onboarding_fee', 10)->nullable();
            $table->string('biller_name', 50)->nullable();
            $table->string('biller_description', 100);
            $table->string('biller_number', 50)->nullable();
            $table->string('biller_reference', 50)->nullable();
            $table->string('token', 100)->nullable();
            $table->integer('app_id')->nullable();
            $table->integer('product_pricing_id')->nullable();
            $table->integer('advisor_id')->nullable();
            $table->integer('client_id')->nullable()->index('client_id');
            $table->integer('location_id')->nullable();
            $table->integer('user_id')->nullable()->index('user_id');
            $table->string('email', 100)->nullable();
            $table->date('date')->nullable();
            $table->date('exp_date')->nullable();
            $table->time('tm')->nullable();
            $table->integer('settlement_status')->nullable();
            $table->string('effect', 2)->nullable();
            $table->integer('status')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('wallet');
    }
};
