<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('bank_account', function (Blueprint $table) {
            $table->string('id', 100)->nullable()->unique('id');
            $table->integer('bank_id')->index('bank_id');
            $table->string('account_type', 90)->nullable();
            $table->string('name', 90)->nullable();
            $table->string('account_no', 10);
            $table->date('date');
            $table->time('tm');
            $table->integer('status');
            $table->integer('user_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('device_id')->nullable();
            $table->integer('client_id')->index('client_id');
            $table->integer('control_id')->nullable()->index('control_id');
            $table->integer('control_user_id')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->string('queued_action_id', 222)->nullable()->index('queued_action_id');
            $table->integer('origin')->nullable();
            $table->integer('visibility')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('bank_account');
    }
};
