<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('cashlog', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('token', 25)->nullable();
            $table->string('pmethod', 30)->nullable();
            $table->string('br', 5)->nullable();
            $table->string('effect', 2)->nullable();
            $table->decimal('amount', 12)->nullable();
            $table->string('currency_unit', 12)->nullable();
            $table->string('currency_value', 12)->nullable();
            $table->string('currency_id', 12)->nullable();
            $table->string('staff', 45)->nullable();
            $table->date('txn_date')->nullable();
            $table->string('room', 90)->nullable();
            $table->string('damage', 90)->nullable();
            $table->string('comp', 90)->nullable();
            $table->string('bank', 90)->nullable();
            $table->string('teller', 90)->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('status')->nullable()->default(0);
            $table->integer('outlet_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('client_id')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->integer('origin')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('cashlog');
    }
};
