<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('chart_cate', function (Blueprint $table) {
            $table->string('id', 100)->unique('id');
            $table->string('cate_id', 110);
            $table->string('name', 90);
            $table->string('acct_type_id', 90)->index('acct_type_id');
            $table->integer('default_account')->nullable();
            $table->date('date');
            $table->time('tm');
            $table->integer('status');
            $table->integer('user_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->dateTime('update_date');
            $table->integer('reset');
            $table->integer('device_id');
            $table->integer('origin');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('chart_cate');
    }
};
