<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('chart_of_accounts', function (Blueprint $table) {
            $table->string('id', 100)->primary();
            $table->string('sort_code', 90)->index('sort_code');
            $table->string('acct_cate', 90)->index('acct_cate');
            $table->string('sub_cate', 90);
            $table->string('name', 90);
            $table->string('effect', 90);
            $table->integer('default_account')->nullable();
            $table->string('code', 90);
            $table->integer('sta');
            $table->integer('chk');
            $table->time('tm');
            $table->date('date');
            $table->integer('status');
            $table->integer('user_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->dateTime('update_date');
            $table->integer('reset');
            $table->integer('device_id');
            $table->integer('origin');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('chart_of_accounts');
    }
};
