<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('credit_log', function (Blueprint $table) {
            $table->string('id', 100)->unique('id');
            $table->date('txn_date');
            $table->string('token', 100);
            $table->string('payment_token', 30);
            $table->string('sales_token', 30);
            $table->string('customer', 110)->index('customer');
            $table->integer('credit_option');
            $table->integer('duration');
            $table->integer('paid');
            $table->decimal('amount', 12);
            $table->string('effect', 11);
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->integer('user_id');
            $table->integer('device_id');
            $table->integer('control_id');
            $table->integer('control_user_id');
            $table->time('tm');
            $table->date('date');
            $table->dateTime('update_date');
            $table->date('up_date');
            $table->integer('status');
            $table->integer('reset');
            $table->string('queued_action_id', 222);
            $table->integer('origin');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('credit_log');
    }
};
