<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('currency', function (Blueprint $table) {
            $table->string('id', 190)->unique('id');
            $table->integer('currency_cate_id')->index('currency_cate_id');
            $table->string('name', 39);
            $table->string('symbol', 50);
            $table->integer('primary_currency')->index('primary_currency');
            $table->decimal('unit', 15)->index('unit');
            $table->date('date');
            $table->time('tm');
            $table->dateTime('update_date');
            $table->integer('user_id')->index('user_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id')->index('client_id');
            $table->integer('device_id')->index('device_id');
            $table->integer('status')->index('status');
            $table->string('queued_action_id', 222)->index('queued_action_id');
            $table->integer('origin');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('currency');
    }
};
