<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('customers', function (Blueprint $table) {
            $table->string('id', 100)->primary();
            $table->string('cate', 5)->nullable()->index('cate');
            $table->string('coy_name', 90)->nullable();
            $table->string('coy', 190)->nullable();
            $table->string('name', 90)->nullable()->index('name');
            $table->string('guest_class', 30)->nullable();
            $table->string('price_profile_id', 222)->nullable()->index('price_profile_id');
            $table->string('folio', 90)->nullable();
            $table->string('folio_id', 90)->nullable();
            $table->integer('per')->nullable();
            $table->string('gender', 90)->nullable();
            $table->string('phone', 90)->nullable();
            $table->string('email', 90)->nullable();
            $table->string('address', 90)->nullable();
            $table->string('destination', 90)->nullable();
            $table->decimal('credit_limit', 12)->nullable();
            $table->string('credit_duration', 12)->nullable();
            $table->string('loyalty_code', 50)->nullable();
            $table->integer('loyalty_status')->nullable()->index('loyalty_status');
            $table->string('rep_id', 190)->nullable()->index('rep_id');
            $table->string('region_id', 30)->nullable();
            $table->string('occu', 90)->nullable();
            $table->string('c_rate', 3)->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->integer('year')->nullable();
            $table->string('month', 30)->nullable();
            $table->integer('day')->nullable();
            $table->integer('user_id')->index('user_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id')->index('client_id');
            $table->integer('status')->index('status');
            $table->dateTime('update_date');
            $table->string('dob', 50)->nullable();
            $table->integer('cron')->nullable();
            $table->integer('device_id')->nullable()->index('device_id');
            $table->integer('reset')->nullable();
            $table->integer('blacklist')->nullable();
            $table->string('queued_action_id', 222)->nullable()->index('queued_action_id');
            $table->integer('origin')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('customers');
    }
};
