<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('db_ops_log', function (Blueprint $table) {
            $table->string('id', 222)->unique('id');
            $table->integer('client_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('user_id');
            $table->integer('device_id');
            $table->text('otp_code');
            $table->integer('origin');
            $table->text('success');
            $table->text('operation_type');
            $table->dateTime('performed_at');
            $table->time('tm');
            $table->date('date');
            $table->dateTime('update_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('db_ops_log');
    }
};
