<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('estimate', function (Blueprint $table) {
            $table->string('id', 100)->unique('id');
            $table->string('token', 50);
            $table->string('customer', 110)->index('customer');
            $table->string('item_id', 110)->index('item_id');
            $table->string('item_class_id', 222);
            $table->integer('qty');
            $table->integer('uqty');
            $table->integer('price');
            $table->integer('amount');
            $table->integer('m_metric');
            $table->integer('m_category_id');
            $table->string('income_account', 110);
            $table->string('description', 50);
            $table->string('currency_id', 222);
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->integer('discount');
            $table->string('outlet_id', 190);
            $table->string('store_id', 190);
            $table->string('br', 190);
            $table->integer('user_id');
            $table->integer('device_id');
            $table->integer('control_id');
            $table->integer('control_user_id');
            $table->date('date');
            $table->date('txn_date');
            $table->time('tm');
            $table->dateTime('update_date');
            $table->integer('status');
            $table->integer('delivered');
            $table->integer('reset');
            $table->string('queued_action_id', 222);
            $table->integer('origin');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('estimate');
    }
};
