<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('item_brand', function (Blueprint $table) {
            $table->string('id', 190)->nullable()->unique('id');
            $table->integer('app_item_category_id')->nullable();
            $table->string('item_class_id', 222)->nullable();
            $table->string('name', 30)->nullable();
            $table->integer('status')->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('device_id')->nullable();
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('client_id')->nullable();
            $table->integer('origin')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->integer('sales_type')->nullable();
            $table->string('income_account', 30)->nullable();
            $table->integer('measurement_category_id')->nullable()->index('measurement_category_id');
            $table->integer('m_category_id')->nullable();
            $table->string('queued_action_id', 222)->nullable();
            $table->integer('reset')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('item_brand');
    }
};
