<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('item_category', function (Blueprint $table) {
            $table->char('id', 100)->primary();
            $table->string('app_item_category_id', 110)->nullable();
            $table->string('item_class_id', 110)->nullable()->index('item_class_id');
            $table->string('name', 30);
            $table->integer('status')->index('status');
            $table->date('date');
            $table->time('tm');
            $table->integer('user_id')->nullable()->index('user_id');
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('client_id')->nullable()->index('client_id');
            $table->integer('device_id')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->integer('sales_type')->nullable()->index('sales_type');
            $table->string('income_account', 30)->index('income_account');
            $table->integer('measurement_category_id')->nullable()->index('measurement_category_id');
            $table->integer('reset')->nullable();
            $table->string('queued_action_id', 222)->nullable()->index('queued_action_id');
            $table->integer('origin')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('item_category');
    }
};
