<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('item_grouping', function (Blueprint $table) {
            $table->string('id', 100)->unique('id');
            $table->string('name', 90);
            $table->string('item_class_id', 110);
            $table->string('item_category_id', 190)->index('item_category_id');
            $table->string('item_id', 190)->index('item_id');
            $table->integer('qty');
            $table->integer('user_id');
            $table->date('date');
            $table->time('tm');
            $table->integer('status');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->dateTime('update_date');
            $table->integer('reset');
            $table->integer('device_id');
            $table->string('queued_action_id', 222);
            $table->integer('origin');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('item_grouping');
    }
};
