<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('item_log', function (Blueprint $table) {
            $table->string('id', 100)->unique('id');
            $table->date('txn_date')->nullable();
            $table->string('br', 190)->nullable();
            $table->string('shift', 190)->nullable();
            $table->string('tab', 100)->nullable();
            $table->string('waiter', 15)->nullable();
            $table->string('customer', 100)->nullable();
            $table->string('sales_person', 11)->nullable();
            $table->string('token', 35)->nullable();
            $table->string('return_token', 50)->nullable();
            $table->integer('log_type')->nullable();
            $table->integer('sync_id')->nullable();
            $table->string('item_category_id', 190)->nullable()->index('item_category_id');
            $table->string('item_class_id', 110)->nullable();
            $table->string('item_id', 190)->nullable()->index('item_id');
            $table->decimal('qty', 12)->nullable();
            $table->decimal('price', 12)->nullable();
            $table->integer('current_price')->nullable();
            $table->decimal('discount', 12)->nullable();
            $table->decimal('cp', 12)->nullable();
            $table->string('effect', 11)->nullable();
            $table->decimal('amount', 12)->nullable();
            $table->integer('transfer')->nullable();
            $table->string('batch_no', 30)->nullable();
            $table->integer('pmt_split')->nullable();
            $table->integer('sales_type')->nullable();
            $table->string('description', 200)->nullable();
            $table->string('comp', 30)->nullable();
            $table->string('store_id', 190)->nullable()->index('store_id');
            $table->integer('m_category_id')->nullable()->index('m_category_id');
            $table->integer('m_metric')->nullable();
            $table->string('income_account', 30)->nullable();
            $table->decimal('uqty', 12)->nullable();
            $table->integer('promo_id')->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->integer('status')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('outlet_id', 190)->nullable();
            $table->string('coy', 200)->nullable()->index('coy');
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('client_id')->nullable();
            $table->integer('control_user_id')->nullable();
            $table->integer('control_id')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->date('up_date')->nullable();
            $table->integer('vat_status')->nullable();
            $table->integer('vat_value')->nullable();
            $table->decimal('vat', 12)->nullable();
            $table->integer('device_id')->nullable();
            $table->integer('adjusted')->nullable();
            $table->string('source_br', 150)->nullable();
            $table->string('source_outlet', 150)->nullable();
            $table->decimal('tender', 12)->nullable();
            $table->integer('extra')->nullable();
            $table->integer('back_date')->nullable();
            $table->string('ampm', 11)->nullable();
            $table->integer('reset')->nullable();
            $table->string('queuer', 2222)->nullable();
            $table->string('table_id', 100)->nullable();
            $table->integer('table_type')->nullable();
            $table->integer('table_charge')->nullable();
            $table->string('day_name', 100)->nullable();
            $table->string('week_no', 100)->nullable();
            $table->string('month_no', 100)->nullable();
            $table->string('hr', 100)->nullable();
            $table->integer('ap_date')->nullable();
            $table->string('queued_action_id', 222)->nullable();
            $table->integer('origin')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('item_log');
    }
};
