<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('item_price', function (Blueprint $table) {
            $table->string('id', 100)->primary();
            $table->decimal('rate', 12)->nullable();
            $table->string('item_id', 190)->nullable()->index('item_id');
            $table->integer('m_metric')->nullable()->index('m_metric');
            $table->integer('primary_measurement')->nullable()->index('primary_measurement');
            $table->decimal('qty', 12)->nullable();
            $table->decimal('cal_qty', 12)->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->integer('status')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->integer('user_id')->nullable()->index('user_id');
            $table->integer('device_id')->nullable()->index('device_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id')->index('client_id');
            $table->string('br', 110)->nullable();
            $table->string('outlet_id', 110)->nullable()->index('outlet_id');
            $table->integer('control_user_id')->nullable()->index('control_user_id');
            $table->integer('control_id')->nullable()->index('control_id');
            $table->string('item_category_id', 190)->index('item_category_id');
            $table->string('item_class_id', 110)->nullable()->index('item_class_id');
            $table->integer('m_category_id')->nullable()->index('m_category_id');
            $table->integer('reset')->nullable();
            $table->string('queued_action_id', 222)->nullable()->index('queued_action_id');
            $table->integer('origin')->nullable();
            $table->integer('default_price')->nullable()->index('default_price');
            $table->string('price_profile_id', 222)->nullable()->index('price_profile_id');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('item_price');
    }
};
