<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('items', function (Blueprint $table) {
            $table->char('id', 100)->primary();
            $table->string('item_class_id', 110)->nullable();
            $table->string('app_item_category_id', 110)->nullable();
            $table->string('app_item_id', 110)->nullable();
            $table->string('item_category_id', 190)->index('item_category_id');
            $table->string('name', 150);
            $table->decimal('price', 12)->nullable();
            $table->integer('reorder_level')->nullable();
            $table->string('barcode', 30)->nullable();
            $table->integer('vat_status')->nullable();
            $table->string('sku', 7)->nullable();
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->string('description', 1000)->nullable();
            $table->integer('sales_type')->nullable()->index('sales_type');
            $table->string('income_account', 110)->nullable()->index('income_account');
            $table->integer('seen')->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->integer('status')->nullable();
            $table->integer('disabled_status')->nullable()->index('disabled_status');
            $table->integer('user_id')->nullable()->index('user_id');
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('client_id')->nullable()->index('client_id');
            $table->integer('m_category_id')->nullable()->index('m_category_id');
            $table->dateTime('update_date')->nullable();
            $table->integer('device_id')->nullable()->index('device_id');
            $table->date('expiry_date')->nullable();
            $table->integer('reset')->nullable();
            $table->string('queued_action_id', 222)->nullable()->index('queued_action_id');
            $table->integer('origin')->nullable();
            $table->string('brand_id', 222)->nullable()->index('brand_id');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('items');
    }
};
