<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('location', function (Blueprint $table) {
            $table->integer('id', true);
            $table->integer('app_plan_id');
            $table->integer('maxi_plan_id')->nullable();
            $table->integer('demo_status');
            $table->integer('duration')->nullable();
            $table->string('name', 90)->nullable();
            $table->string('bearer_id', 150)->nullable();
            $table->string('logo', 250)->nullable();
            $table->string('template', 225)->nullable();
            $table->string('address', 200)->nullable();
            $table->string('phone', 30)->nullable();
            $table->string('website', 30)->nullable();
            $table->string('email', 30)->nullable();
            $table->string('allowed_users', 4)->nullable();
            $table->integer('allowed_items')->nullable();
            $table->integer('allowed_store')->nullable();
            $table->string('slogan', 250)->nullable();
            $table->integer('multi_store')->default(1);
            $table->integer('sales_interface')->default(1);
            $table->string('cost_method', 20)->nullable();
            $table->string('biz_default', 11)->nullable();
            $table->string('sales_disclaimer', 250)->nullable();
            $table->integer('sales_point_method')->nullable();
            $table->string('timezone', 30)->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('client_id')->nullable();
            $table->integer('device_id');
            $table->integer('agent_id')->nullable();
            $table->integer('temp_agent_id')->nullable();
            $table->integer('team_id')->nullable();
            $table->string('sub_type', 20)->nullable();
            $table->integer('cron')->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->integer('vat_value')->nullable();
            $table->integer('loc_status')->nullable();
            $table->integer('status')->nullable();
            $table->integer('payment_confirmation');
            $table->string('biller_reference', 100);
            $table->integer('vat_status')->nullable();
            $table->string('currency', 90)->nullable();
            $table->string('country', 90)->nullable();
            $table->integer('additional_item')->nullable();
            $table->integer('subscription_status')->nullable();
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->string('ig_address', 100)->nullable();
            $table->string('fb_address', 100)->nullable();
            $table->string('twitter_address', 100)->nullable();
            $table->integer('origin')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('location');
    }
};
