<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('loyalty_log', function (Blueprint $table) {
            $table->string('id', 110)->primary();
            $table->decimal('amount', 12);
            $table->string('coy_id', 211)->index('coy_id');
            $table->string('effect', 2);
            $table->string('token', 90);
            $table->date('txn_date');
            $table->date('date');
            $table->time('tm');
            $table->integer('status');
            $table->integer('control_id');
            $table->integer('control_user_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->integer('user_id');
            $table->integer('sync_id');
            $table->integer('log_type');
            $table->dateTime('update_date');
            $table->date('up_date');
            $table->integer('device_id');
            $table->integer('reset');
            $table->string('queued_action_id', 222);
            $table->integer('origin');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('loyalty_log');
    }
};
