<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('market_place_products', function (Blueprint $table) {
            $table->integer('id')->primary();
            $table->string('item_id', 30)->nullable()->index('item_id');
            $table->string('item_cat_id', 30)->nullable()->index('item_cat_id');
            $table->string('description', 255)->nullable();
            $table->integer('sales_price')->nullable();
            $table->string('delivery_method', 255)->nullable();
            $table->integer('client_id')->nullable();
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('user_id')->nullable();
            $table->integer('publish_status')->nullable();
            $table->integer('status')->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->date('update_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('market_place_products');
    }
};
