<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('marketplace_cart_product', function (Blueprint $table) {
            $table->integer('id')->primary();
            $table->integer('customer_id');
            $table->integer('client_id');
            $table->integer('location_id')->index('location_id');
            $table->string('order_id', 50);
            $table->string('item_id', 100);
            $table->string('item_category_id', 100);
            $table->integer('rate');
            $table->integer('quantity');
            $table->integer('amount');
            $table->integer('txn_id');
            $table->date('date');
            $table->time('tm');
            $table->integer('status');
            $table->dateTime('created_at')->useCurrent();
            $table->dateTime('updated_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('marketplace_cart_product');
    }
};
