<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('marketplace_customers', function (Blueprint $table) {
            $table->integer('id')->primary();
            $table->string('name', 70)->nullable();
            $table->string('phone', 30)->nullable();
            $table->string('country_code', 100);
            $table->string('email', 50)->nullable();
            $table->text('password')->nullable();
            $table->string('api_token', 2000)->nullable();
            $table->string('fcm_token', 1000)->nullable();
            $table->text('pin_id')->nullable()->comment('For OTP Verification');
            $table->integer('userid')->nullable();
            $table->integer('userlevel')->nullable();
            $table->text('picname')->nullable();
            $table->string('address', 1000)->nullable();
            $table->integer('activated')->nullable();
            $table->string('verify_code', 10)->nullable();
            $table->integer('wallet_balance')->nullable();
            $table->integer('country')->nullable();
            $table->integer('state')->nullable();
            $table->integer('lga');
            $table->string('gender', 5);
            $table->string('id_type', 200);
            $table->string('id_image', 200);
            $table->string('status', 11)->default('0');
            $table->integer('registered_by');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrent();
            $table->softDeletes()->nullable(false)->default('0000-00-00 00:00:00');
            $table->integer('pin');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('marketplace_customers');
    }
};
