<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('marketplace_order', function (Blueprint $table) {
            $table->integer('id')->primary();
            $table->string('order_id', 50);
            $table->integer('customer_id');
            $table->integer('client_id');
            $table->integer('location_id')->index('location_id');
            $table->string('delivery_type', 100);
            $table->string('delivery_address', 1000);
            $table->integer('country');
            $table->integer('state');
            $table->string('payment_method', 100);
            $table->decimal('order_amount', 10);
            $table->integer('discount');
            $table->integer('discount_code');
            $table->decimal('delivery_charge', 10);
            $table->decimal('service_charge', 10);
            $table->decimal('total_amount', 10);
            $table->integer('payment_status');
            $table->integer('status');
            $table->date('date');
            $table->time('tm');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->default('0000-00-00 00:00:00');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('marketplace_order');
    }
};
