<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('measurement', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('name', 30);
            $table->integer('default_measurement');
            $table->integer('hierarchy')->index('hierarchy');
            $table->integer('convertion_rate')->index('convertion_rate');
            $table->integer('mstatus');
            $table->date('date');
            $table->time('tm');
            $table->integer('status');
            $table->integer('user_id')->index('user_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id')->index('client_id');
            $table->dateTime('update_date');
            $table->string('abr', 30);
            $table->integer('m_category_id')->index('m_category_id');
            $table->integer('device_id')->index('device_id');
            $table->integer('reset');
            $table->string('queued_action_id', 222)->index('queued_action_id');
            $table->integer('origin');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('measurement');
    }
};
