<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('order_log', function (Blueprint $table) {
            $table->integer('id')->unique('id');
            $table->date('txn_date');
            $table->integer('br');
            $table->string('tab', 100);
            $table->string('waiter', 15);
            $table->string('customer', 100);
            $table->string('sales_person', 11);
            $table->string('token', 35);
            $table->string('order_name', 50);
            $table->string('item_category_id', 222)->index('item_category_id');
            $table->string('item_class_id', 222);
            $table->string('item_id', 222)->index('item_id');
            $table->integer('qty');
            $table->decimal('price', 12);
            $table->decimal('discount', 12);
            $table->decimal('cp', 12);
            $table->integer('qty_sent');
            $table->integer('qty_requested');
            $table->decimal('amount', 12);
            $table->integer('transfer');
            $table->string('batch_no', 30);
            $table->integer('sales_type');
            $table->string('description', 200);
            $table->string('store_id', 222)->index('store_id');
            $table->integer('m_metric');
            $table->integer('uqty');
            $table->integer('promo_id');
            $table->date('date');
            $table->time('tm');
            $table->integer('status');
            $table->string('order_status', 30);
            $table->integer('invoice');
            $table->integer('delivery');
            $table->integer('user_id');
            $table->integer('outlet_id');
            $table->string('coy', 222)->index('coy');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->integer('control_user_id');
            $table->integer('control_id');
            $table->integer('sync_id');
            $table->integer('log_type');
            $table->dateTime('update_date');
            $table->integer('vat_status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('order_log');
    }
};
