<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('outlet_log', function (Blueprint $table) {
            $table->string('id', 190)->nullable()->unique('id');
            $table->string('outlet_id', 190)->nullable();
            $table->string('item_id', 190)->nullable();
            $table->string('token', 30)->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('client_id')->nullable();
            $table->integer('origin')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('device_id')->nullable();
            $table->integer('control_id')->nullable();
            $table->integer('control_user_id')->nullable();
            $table->time('tm')->nullable();
            $table->date('date')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->integer('status')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('outlet_log');
    }
};
