<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('payroll_log', function (Blueprint $table) {
            $table->integer('id', true);
            $table->integer('staff_profile_id')->nullable();
            $table->integer('type')->nullable();
            $table->integer('income_deduction_log_id')->nullable();
            $table->integer('income_deduction_id')->nullable();
            $table->decimal('amount', 12)->nullable();
            $table->string('effect', 2)->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->integer('status')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('client_id')->nullable();
            $table->dateTime('update_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('payroll_log');
    }
};
