<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('price_profile', function (Blueprint $table) {
            $table->string('id', 190)->nullable()->unique('id');
            $table->string('name', 30)->nullable();
            $table->integer('status')->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('device_id')->nullable();
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('client_id')->nullable();
            $table->integer('origin')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->string('queued_action_id', 222)->nullable();
            $table->integer('reset')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('price_profile');
    }
};
