<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('queue_log_21march', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('table_name', 80);
            $table->text('data_result');
            $table->string('identifier', 222)->unique('identifier');
            $table->string('token', 190)->index('token');
            $table->integer('sync_status')->index('sync_status');
            $table->integer('source');
            $table->integer('device_id')->index('device_id');
            $table->integer('user_id')->index('user_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id')->index('client_id');
            $table->date('date');
            $table->time('tm');
            $table->dateTime('last_pull');
            $table->integer('table_id');
            $table->dateTime('update_date');
            $table->integer('status');
            $table->integer('origin');
            $table->integer('sent_status');
            $table->integer('is_processed');

            $table->unique(['identifier'], 'identifier_2');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('queue_log_21march');
    }
};
