<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('quotation', function (Blueprint $table) {
            $table->integer('id')->unique('id');
            $table->date('txn_date');
            $table->string('tab', 100);
            $table->string('waiter', 15);
            $table->string('customer', 100)->index('customer');
            $table->string('sales_person', 11);
            $table->integer('item_category_id')->index('item_category_id');
            $table->integer('item_class_id');
            $table->integer('item_id')->index('item_id');
            $table->integer('uqty');
            $table->integer('m_metric');
            $table->integer('sales_type');
            $table->string('batch_no', 30);
            $table->string('description', 200);
            $table->integer('store_id')->index('store_id');
            $table->integer('qty');
            $table->decimal('price', 12);
            $table->decimal('discount', 12);
            $table->decimal('cp', 12);
            $table->decimal('amount', 12);
            $table->integer('status');
            $table->string('email', 200);
            $table->integer('user_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->string('token', 250);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('quotation');
    }
};
