<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('receivable_csv', function (Blueprint $table) {
            $table->integer('id')->primary();
            $table->string('party_type', 200);
            $table->string('name', 200);
            $table->string('gender', 6);
            $table->string('phone', 30);
            $table->string('email', 50);
            $table->string('dr', 200);
            $table->string('cr', 200);
            $table->string('l_code', 50);
            $table->integer('client_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('user_id');
            $table->dateTime('date')->useCurrent();
            $table->integer('origin');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('receivable_csv');
    }
};
