<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('reminder', function (Blueprint $table) {
            $table->string('id', 190)->unique('id');
            $table->integer('days');
            $table->integer('intervals');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->integer('user_id');
            $table->integer('device_id');
            $table->time('tm');
            $table->date('date');
            $table->dateTime('update_date');
            $table->integer('status');
            $table->integer('reset');
            $table->integer('origin');

            $table->unique(['id'], 'id_2');
            $table->unique(['id'], 'id_3');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('reminder');
    }
};
