<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('request', function (Blueprint $table) {
            $table->string('id', 222)->nullable()->unique('id');
            $table->string('action', 1)->nullable();
            $table->string('token', 222)->nullable();
            $table->string('rq_token', 222)->nullable();
            $table->integer('item_class_id')->nullable();
            $table->string('accepted_token', 222)->nullable();
            $table->string('recovered_token', 222)->nullable();
            $table->string('item_category_id', 222)->nullable()->index('item_category_id');
            $table->string('item_id', 222)->nullable()->index('item_id');
            $table->integer('m_metric')->nullable();
            $table->string('store_id', 222)->nullable()->index('store_id');
            $table->string('sender_store_id', 222)->nullable();
            $table->integer('qty')->nullable();
            $table->date('date')->nullable();
            $table->decimal('price', 12)->nullable();
            $table->time('tm')->nullable();
            $table->string('sent_token', 222)->nullable();
            $table->integer('qty_sent')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('device_id')->nullable();
            $table->integer('outlet_id')->nullable();
            $table->integer('status')->nullable();
            $table->string('sender_id', 222)->nullable();
            $table->integer('sender_store_status')->nullable();
            $table->string('recipient_id', 222)->nullable();
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('client_id')->nullable();
            $table->integer('control_user_id')->nullable();
            $table->integer('control_id')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->date('up_date')->nullable();
            $table->integer('qty_accepted')->nullable();
            $table->integer('qty_recovered')->nullable();
            $table->integer('reset')->nullable();
            $table->string('queued_action_id', 222)->nullable();
            $table->integer('origin')->nullable();
            $table->text('comment')->nullable();
            $table->integer('m_category_id')->nullable();
            $table->text('release_comment')->nullable();
            $table->text('accept_comment')->nullable();
            $table->dateTime('release_date')->nullable();
            $table->dateTime('accept_date')->nullable();
            $table->timestamp('created_at')->useCurrentOnUpdate()->useCurrent();
            $table->timestamp('updated_at')->default('0000-00-00 00:00:00');
            $table->softDeletes()->nullable(false)->default('0000-00-00 00:00:00');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('request');
    }
};
