<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('rights', function (Blueprint $table) {
            $table->integer('id', true);
            $table->integer('br')->nullable();
            $table->integer('plan_id');
            $table->integer('module_id')->nullable()->index('module_id');
            $table->integer('sub_module')->nullable();
            $table->integer('menu_id')->nullable()->index('menu_id');
            $table->integer('sub_menu')->nullable();
            $table->string('user_id', 90)->nullable();
            $table->integer('device_id')->nullable();
            $table->date('date')->nullable();
            $table->string('office', 90)->nullable();
            $table->time('tm')->nullable();
            $table->integer('user')->nullable();
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->integer('status')->nullable();
            $table->integer('reset')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('rights');
    }
};
