<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('setup', function (Blueprint $table) {
            $table->integer('id')->primary();
            $table->integer('measurement');
            $table->integer('product');
            $table->integer('customer');
            $table->integer('vendor');
            $table->integer('bank');
            $table->integer('expense');
            $table->integer('dashboard');
            $table->integer('client_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('user_id');
            $table->date('date');
            $table->time('tm');
            $table->dateTime('update_date');
            $table->integer('status');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('setup');
    }
};
