<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('sms_offline', function (Blueprint $table) {
            $table->string('id', 200)->nullable()->unique('id');
            $table->decimal('unit', 12)->nullable();
            $table->text('msg')->nullable();
            $table->string('name', 200)->nullable();
            $table->string('folio_id', 200)->nullable()->index('folio_id');
            $table->string('phone', 200)->nullable();
            $table->decimal('amount', 12)->nullable();
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('client_id')->nullable();
            $table->integer('device_id');
            $table->integer('user_id');
            $table->integer('origin')->nullable();
            $table->integer('sms_status');
            $table->date('date')->nullable();
            $table->dateTime('update_date');
            $table->time('tm')->nullable();
            $table->string('effect', 2)->nullable();
            $table->integer('status')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('sms_offline');
    }
};
