<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('stock_adjustment', function (Blueprint $table) {
            $table->string('id', 255);
            $table->string('token', 100)->nullable();
            $table->string('batch_no', 200)->nullable();
            $table->integer('adj_qty')->nullable();
            $table->integer('available_qty')->nullable();
            $table->integer('variance')->nullable();
            $table->string('effect', 2)->nullable();
            $table->string('item_id', 200)->nullable()->index('item_id');
            $table->decimal('adj_value', 11, 0)->nullable();
            $table->integer('m_metric')->nullable();
            $table->string('reason', 110)->nullable();
            $table->date('date')->nullable();
            $table->date('stock_date')->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('device_id')->nullable();
            $table->integer('client_id')->nullable();
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('cate')->nullable();
            $table->string('m_category_id', 195)->nullable();
            $table->time('time')->nullable();
            $table->time('tm')->nullable();
            $table->integer('status')->nullable();
            $table->integer('control_user_id')->nullable();
            $table->integer('control_id')->nullable();
            $table->dateTime('update_date')->nullable();
            $table->date('up_date')->nullable();
            $table->string('queued_action_id', 222)->nullable();
            $table->integer('origin')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('stock_adjustment');
    }
};
