<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('stock', function (Blueprint $table) {
            $table->string('id', 100)->primary();
            $table->date('txn_date')->nullable();
            $table->date('expiry_date')->nullable();
            $table->string('token', 222)->nullable()->index('token');
            $table->string('return_token', 222)->nullable();
            $table->integer('return_status')->nullable();
            $table->integer('log_type')->nullable();
            $table->integer('sync_id')->nullable();
            $table->string('supplier_id', 190)->nullable()->index('supplier_id');
            $table->string('item_category_id', 190)->nullable()->index('item_category_id');
            $table->string('item_id', 190)->nullable()->index('item_id');
            $table->decimal('qty', 12)->nullable();
            $table->decimal('price', 12)->nullable();
            $table->decimal('cp', 12)->nullable();
            $table->decimal('converted_price', 12)->nullable();
            $table->decimal('amount', 12)->nullable();
            $table->string('currency_id', 110)->nullable()->index('currency_id');
            $table->string('currency_unit', 20)->nullable();
            $table->decimal('currency_value', 12)->nullable();
            $table->string('effect', 6)->nullable()->index('effect');
            $table->decimal('uqty', 12)->nullable();
            $table->integer('store_status')->nullable();
            $table->string('batch_no', 30)->nullable();
            $table->integer('batch_status')->nullable();
            $table->string('store_id', 190)->nullable()->index('store_id');
            $table->integer('m_category_id')->nullable()->index('m_category_id');
            $table->integer('t')->nullable();
            $table->integer('m_metric')->nullable()->index('m_metric');
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->string('day_name', 100)->nullable();
            $table->string('week_no', 100)->nullable();
            $table->string('month_no', 100)->nullable();
            $table->string('hr', 100)->nullable();
            $table->integer('status');
            $table->integer('user_id')->index('user_id');
            $table->string('outlet_id', 190)->nullable();
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id')->index('client_id');
            $table->dateTime('update_date');
            $table->string('ampm', 11)->nullable();
            $table->date('up_date')->nullable();
            $table->integer('control_user_id')->nullable();
            $table->integer('control_id')->nullable()->index('control_id');
            $table->integer('import_id')->nullable();
            $table->integer('device_id')->nullable();
            $table->integer('reset')->nullable();
            $table->string('queued_action_id', 222)->nullable()->index('queued_action_id');
            $table->integer('origin')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('stock');
    }
};
