<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('stock_take', function (Blueprint $table) {
            $table->string('id', 100)->unique('id');
            $table->date('txn_date');
            $table->string('token', 50);
            $table->integer('system_qty');
            $table->integer('variance');
            $table->string('name', 30);
            $table->string('item_id', 100)->index('item_id');
            $table->integer('uqty');
            $table->integer('qty');
            $table->integer('m_metric');
            $table->string('abr', 30);
            $table->string('item_category_id', 222)->index('item_category_id');
            $table->integer('m_category_id')->index('m_category_id');
            $table->time('tm');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->string('store_id', 222)->index('store_id');
            $table->integer('user_id');
            $table->integer('control_id');
            $table->integer('control_user_id');
            $table->date('up_date');
            $table->dateTime('update_date');
            $table->integer('status');
            $table->integer('device_id');
            $table->integer('reset');
            $table->integer('date');
            $table->string('queued_action_id', 222);
            $table->integer('origin');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('stock_take');
    }
};
