<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('store', function (Blueprint $table) {
            $table->string('id', 255);
            $table->string('name', 90);
            $table->integer('primary_status');
            $table->integer('user_id');
            $table->date('date');
            $table->time('tm');
            $table->integer('status');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->dateTime('update_date');
            $table->integer('device_id');
            $table->string('queued_action_id', 222);
            $table->integer('origin');
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
            $table->string('type', 100)->nullable();
            $table->integer('default_store')->nullable();
            $table->string('outlet_type', 11);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('store');
    }
};
