<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('sync_log', function (Blueprint $table) {
            $table->integer('id')->unique('id');
            $table->string('token', 150);
            $table->string('synced_table', 40);
            $table->text('sync_id');
            $table->date('date');
            $table->time('tm');
            $table->integer('status');
            $table->integer('user_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->dateTime('update_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('sync_log');
    }
};
