<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('sync_setting', function (Blueprint $table) {
            $table->integer('id', true);
            $table->string('name', 90);
            $table->integer('opt_status');
            $table->integer('status');
            $table->integer('user_id');
            $table->integer('location_id');
            $table->integer('client_id');
            $table->dateTime('update_date');
            $table->timestamp('created_at')->useCurrentOnUpdate()->useCurrent();
            $table->timestamp('updated_at')->default('0000-00-00 00:00:00');
            $table->softDeletes()->nullable(false)->default('0000-00-00 00:00:00');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('sync_setting');
    }
};
