<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('tmp_item_log', function (Blueprint $table) {
            $table->string('id', 100)->unique('id');
            $table->date('txn_date');
            $table->string('tab', 100);
            $table->string('waiter', 15);
            $table->string('customer', 100)->index('customer');
            $table->string('sales_person', 11);
            $table->string('item_category_id', 190)->index('item_category_id');
            $table->string('m_category_id', 211)->index('m_category_id');
            $table->string('item_class_id', 211);
            $table->string('item_id', 190)->index('item_id');
            $table->string('name', 30);
            $table->integer('uqty');
            $table->integer('m_metric');
            $table->integer('sales_type');
            $table->string('batch_no', 30);
            $table->decimal('tender', 12);
            $table->integer('vat_status');
            $table->integer('vat_value');
            $table->string('description', 200);
            $table->string('account_income', 50);
            $table->string('abr', 30);
            $table->string('store_id', 190)->index('store_id');
            $table->integer('qty');
            $table->decimal('price', 12);
            $table->decimal('discount', 12);
            $table->decimal('cp', 12);
            $table->decimal('amount', 12);
            $table->integer('status');
            $table->integer('user_id');
            $table->string('outlet_id', 150);
            $table->integer('device_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->integer('extra');
            $table->string('table_id', 100);
            $table->integer('table_type');
            $table->integer('table_charge');
            $table->date('date');
            $table->time('tm');
            $table->dateTime('update_date');
            $table->string('queuer', 222);
            $table->string('queued_action_id', 222);
            $table->integer('origin');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('tmp_item_log');
    }
};
