<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('tmp_txn_log', function (Blueprint $table) {
            $table->string('id', 110)->unique('id');
            $table->string('account_type', 110);
            $table->string('chart_id', 110);
            $table->date('txn_date');
            $table->decimal('jvalue', 30);
            $table->integer('device_id');
            $table->integer('log_type');
            $table->integer('sync_id');
            $table->string('bank_id', 110);
            $table->string('bank_account_id', 110);
            $table->string('sales_person', 110);
            $table->string('teller', 15);
            $table->string('currency_id', 110);
            $table->string('currency_value', 35);
            $table->string('currency_unit', 20);
            $table->string('jvcr', 10);
            $table->string('jvdr', 10);
            $table->text('effect');
            $table->text('pmethod');
            $table->string('token', 25);
            $table->string('voucher', 110);
            $table->string('bene', 30);
            $table->text('being');
            $table->string('pr', 2);
            $table->date('update_date');
            $table->date('tm');
            $table->date('date');
            $table->string('coy', 211)->index('coy');
            $table->integer('user_id');
            $table->integer('outlet_id');
            $table->integer('location_id')->index('location_id');
            $table->integer('client_id');
            $table->string('queued_action_id', 222);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('tmp_txn_log');
    }
};
