<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::connection('mysql_retail')->create('txn_log', function (Blueprint $table) {
            $table->string('id', 100)->primary();
            $table->integer('txnid');
            $table->string('account_type', 5)->nullable()->index('account_type');
            $table->date('txn_date')->nullable();
            $table->string('chart_id', 10)->nullable()->index('chart_id');
            $table->decimal('jvalue', 30)->nullable();
            $table->string('token', 100)->nullable()->index('token');
            $table->integer('log_type')->nullable();
            $table->integer('sync_id')->nullable();
            $table->decimal('jvdr', 12)->nullable();
            $table->decimal('jvcr', 12)->nullable();
            $table->string('effect', 2)->nullable()->index('effect');
            $table->string('pmethod', 40)->nullable()->index('pmethod');
            $table->string('rep_id', 110)->nullable()->index('rep_id');
            $table->string('region_id', 30)->nullable();
            $table->integer('pmt_split')->nullable();
            $table->string('guest_id', 110)->nullable();
            $table->string('room_id', 100)->nullable();
            $table->string('sales_person', 11)->nullable();
            $table->string('bank_account_id', 110)->nullable()->index('bank_account_id');
            $table->string('bank_id', 110)->nullable()->index('bank_id');
            $table->string('teller', 200)->nullable();
            $table->integer('confirm_bank_pos')->nullable();
            $table->string('currency_id', 110)->nullable()->index('currency_id');
            $table->string('currency_value', 35)->nullable();
            $table->string('currency_unit', 20)->nullable();
            $table->string('bene', 30)->nullable();
            $table->text('being')->nullable();
            $table->string('chart_cate', 5)->nullable()->index('chart_cate');
            $table->integer('pmt')->nullable();
            $table->string('pmt_action', 30)->nullable();
            $table->integer('t')->nullable();
            $table->integer('status')->nullable();
            $table->string('prefix', 5)->nullable()->index('prefix');
            $table->date('credit_duration_date')->nullable();
            $table->integer('br')->nullable();
            $table->string('shift', 190)->nullable();
            $table->date('date')->nullable();
            $table->time('tm')->nullable();
            $table->string('coy', 110)->nullable()->index('coy');
            $table->string('coy2', 110)->nullable();
            $table->string('day_name', 100)->nullable();
            $table->string('week_no', 100)->nullable();
            $table->string('month_no', 100)->nullable();
            $table->string('hr', 100)->nullable();
            $table->integer('shared_user_id')->nullable();
            $table->string('comp', 30)->nullable();
            $table->integer('user_id')->nullable()->index('user_id');
            $table->integer('device_id')->nullable();
            $table->string('outlet_id', 110)->nullable();
            $table->integer('location_id')->nullable()->index('location_id');
            $table->integer('client_id')->nullable()->index('client_id');
            $table->dateTime('update_date')->nullable();
            $table->date('ap_date')->nullable();
            $table->integer('other_charges')->nullable();
            $table->integer('control_user_id')->nullable();
            $table->integer('control_id')->nullable();
            $table->integer('notification')->nullable();
            $table->string('ampm', 10)->nullable();
            $table->string('billing_type', 100)->nullable();
            $table->integer('reset')->nullable();
            $table->text('voucher')->nullable();
            $table->dateTime('up_date')->nullable();
            $table->string('room_class', 100)->nullable();
            $table->string('pr', 190)->nullable();
            $table->string('cus_cate', 190)->nullable();
            $table->string('queued_action_id', 222)->nullable();
            $table->integer('origin')->nullable();
            $table->timestamp('created_at')->useCurrent();
            $table->timestamp('updated_at')->useCurrentOnUpdate()->useCurrent();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::connection('mysql_retail')->dropIfExists('txn_log');
    }
};
