
--
-- Table structure for table `item_price`
--

CREATE TABLE `item_price` (
  `id` varchar(190) UNIQUE ,
  `rate` decimal(12,2) ,
  `item_id` varchar(222) ,
  `m_metric` int(11) ,
  `date` date ,
  `primary_measurement` int(11),
  `cal_qty` decimal(12,2),
  `tm` time ,
  `default_price` int(11),
  `price_profile_id` varchar(222),
  `status` int(11) ,
  `update_date` datetime ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `br` varchar(190) ,
  `outlet_id` varchar(190) ,
  `control_user_id` int(11) ,
  `control_id` int(11) ,
  `qty` decimal(12,2) ,
  `item_category_id` varchar(222) ,
  `item_class_id` varchar(222) ,
  `queued_action_id` varchar(222),
  `m_category_id` int(11) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `receipt_settings` (
  `id` TEXT PRIMARY KEY,
  `outlet_id` TEXT NOT NULL,
  `location_id` TEXT NOT NULL,
  `client_id` TEXT NOT NULL,
  `user_id` TEXT NOT NULL,
  `device_id` TEXT NOT NULL,
  `date` date ,
  `tm` time ,
  `origin` int(1) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `show_vat` BOOLEAN NOT NULL DEFAULT 0,
  `paper_size` TEXT DEFAULT NULL,
  `show_social_media_handles` BOOLEAN NOT NULL DEFAULT 0,
  `instagram_handle` TEXT DEFAULT NULL,
  `facebook_handle` TEXT DEFAULT NULL,
  `tiktok_handle` TEXT DEFAULT NULL,
  `twitter_handle` TEXT DEFAULT NULL,
	`footnote` TEXT DEFAULT NULL,
  `created_at` DATETIME DEFAULT CURRENT_TIMESTAMP,
  `updated_at` DATETIME DEFAULT CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `account_type` (
  `id` varchar(190) UNIQUE,
  `sort_code` varchar(9) ,
  `name` varchar(90) ,
  `effect` varchar(90) ,
  `client_id` int(11) , `origin` int(1) ,
  `location_id` int(11) , 
  `device_id` int(11) ,
  `status` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------
 
--
-- Table structure for table `audit_trail`
--

CREATE TABLE `audit_trail` (
  `id` varchar(190) UNIQUE ,
  `description` text ,
  `username` varchar(30) ,
  `identifier` varchar(130) ,
  `token` varchar(100) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) , 
  `user_id` int(11) ,
  `device_id` int(11) ,
  `tm` time ,
  `date` date ,
  `status` int(11) ,
  `reset` int(11) 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `bank`
--

CREATE TABLE `bank` (
  `id` varchar(190) ,
  `name` int(11) ,
  `date` date ,
  `tm` time ,
  `status` int(11) ,
  `identifier` varchar(222) UNIQUE,
  `queued_action_id` varchar(222),
  `user_id` int(11) ,   
  `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `control_id` int(11) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `update_date` datetime 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `bank_account`
--

CREATE TABLE `bank_account` (
  `id` varchar(190) UNIQUE ,
  `bank_id` varchar(222) ,
  `account_type` varchar(90) ,
  `name` varchar(90) ,
   `visibility` int(11),
  `account_no` varchar(10) ,
  `date` date ,
  `tm` time ,
  `status` int(11) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `control_id` int(11) ,
  `control_user_id` int(11) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `basic_log`
--

CREATE TABLE `basic_log` (
  `id` varchar(190) UNIQUE ,
  `date` date ,
  `service` int(11) ,
  `retail` int(11) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `status` int(11) 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `campaign`
--

CREATE TABLE `campaign` (
  `id` varchar(190) UNIQUE ,
  `name` varchar(30) ,
  `image` varchar(200) ,
  `color` varchar(30) ,
  `bg_color` varchar(30) ,
  `start_date` date ,
  `end_date` date ,
  `eligibility` int(11) ,
  `customer_status` int(11) ,
  `status` int(11) 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


-- --------------------------------------------------------

 
--
-- Table structure for table `chart_cate`
--

CREATE TABLE `chart_cate` (
  `id` varchar(190) UNIQUE ,
  `cate_id` varchar(222) ,
  `name` varchar(90) ,
  `acct_type_id` varchar(90) ,
  `default_account` int(11),
  `date` date ,
  `tm` time ,
  `status` int(11) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
   `created_at` datetime,
  `updated_at` datetime,
  `deleted_at` datetime,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `chart_of_accounts`
--

CREATE TABLE `chart_of_accounts` (
  `id` varchar(190) UNIQUE ,
  `sort_code` varchar(90) ,
  `acct_cate` varchar(90) ,
  `sub_cate` varchar(90) ,
  `name` varchar(90) ,
  `effect` varchar(90) ,
  `code` varchar(90) ,
  `sta` int(11) ,
  `default_account` int(11),
  `chk` int(11) ,
  `tm` time ,
  `date` date ,
  `status` int(11) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `created_at` datetime,
  `updated_at` datetime,
  `deleted_at` datetime,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

 
--
-- Table structure for table `credit_log`
--
-- txn_date, token, payment_token, sales_token, customer, credit_option, duration, paid, amount, effect, control_id, control_user_id, up_date, status
CREATE TABLE `credit_log` (
  `id` varchar(190) UNIQUE ,
  `txn_date` date ,
  `token` varchar(100) ,
  `payment_token` varchar(30) ,
  `sales_token` varchar(30) ,
  `customer` varchar(222) ,
  `credit_option` int(11) ,
  `duration` int(11) ,
  `paid` int(11) ,
  `amount` decimal(12,2) ,
  `effect` varchar(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
    `user_id` int(11) ,   
    `device_id` int(11) ,
  `control_id` int(11) ,
  `control_user_id` int(11) ,
  `tm` time ,
  `date` date,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `up_date` date ,
  `status` int(11) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `currency`
--

CREATE TABLE `currency` (
  `id` varchar(190) UNIQUE ,
  `currency_cate_id` varchar(222),
  `primary_currency` int(11) ,
  `name` varchar(190) ,
  `symbol` varchar(190) ,
  `unit` decimal(15,2) ,
  `date` date ,
  `tm` time ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `status` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `currency_cate`
--

CREATE TABLE `currency_cate` (
  `id` varchar(190) UNIQUE ,
  `name` varchar(30) ,
  `symbol` varchar(50) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `queued_action_id` varchar(222),
  `status` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `customers`
--

CREATE TABLE `customers` (
  `id` varchar(190) UNIQUE ,
  `cate` varchar(5) ,
  `coy_name` varchar(90) ,
  `coy` varchar(222) ,
  `name` varchar(90) ,
  `guest_class` varchar(30) ,
  `folio` varchar(90) ,
  `folio_id` varchar(90) ,
  `per` int(11) ,
  `gender` varchar(90) ,
  `price_profile_id` varchar(222),
  `phone` varchar(90) ,
  `email` varchar(90) ,
  `address` varchar(90) ,
  `destination` varchar(90) ,
  `credit_limit` decimal(12,2) ,
  `credit_duration` varchar(12) ,
  `loyalty_code` varchar(50) ,
  `loyalty_status` int(11) ,
  `occu` varchar(90) ,
  `c_rate` varchar(3) ,
  `date` date ,
  `tm` time ,
  `year` int(11) ,
  `month` varchar(30) ,
  `day` int(11) ,
  `dob` date ,
  `region_id` varchar(30) ,
  `rep_id` varchar(222) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `status` int(11) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `cron` int(11) ,
  `reset` int(11) ,
  `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `blacklist` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------
 
--
-- Table structure for table `edit_sheet`
--
 

CREATE TABLE `estimate` (
  `id` varchar(190) UNIQUE ,
  `token` varchar(50) ,
  `customer` varchar(222) ,
  `item_id` varchar(222) ,
  `item_class_id` varchar(222) ,
  `qty` int(11) ,
  `uqty` int(11) ,
  `price` int(11) ,
  `amount` int(11) ,
  `m_metric` int(11) ,
  `m_category_id` int(11) ,
  `income_account` int(11) ,
  `description` varchar(50) ,
  `currency_id` varchar(190) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `discount` int(11) ,
  `outlet_id` varchar(190) ,
  `store_id` varchar(190) ,
  `default_store` int(11),
  `br` varchar(190) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `control_id` int(11) ,
  `control_user_id` int(11) ,
  `date` date ,
  `txn_date` date ,
  `tm` time ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `status` int(11) ,
  `delivered` int(11) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `items`
--

CREATE TABLE `items` (
  `id` varchar(190) UNIQUE ,
  `item_class_id` varchar(222) ,
  `app_item_category_id` int(11) ,
  `app_item_id` int(11) ,
  `item_category_id` varchar(222) ,
  `brand_id` varchar(222) ,
  `name` varchar(150) ,
  `price` decimal(12,2) ,
  `reorder_level` int(11) ,
  `barcode` varchar(30) ,
  `vat_status` int(11) ,
  `sku` varchar(30) ,
  `start_date` date ,
  `end_date` date ,
  `description` varchar(200) ,
  `sales_type` int(11) ,
  `income_account` varchar(222) ,
  `seen` int(11) ,
  `date` date ,
  `tm` time ,
  `status` int(11) ,
  `disabled_status` int(11) ,
    `user_id` int(11) ,   
    `device_id` int(11) ,
    `expiry_date` date ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `m_category_id` int(11) ,
  `queued_action_id` varchar(222),
  `update_date` datetime ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `item_category`
--

CREATE TABLE `item_category` (
  `id` varchar(190) UNIQUE ,
  `app_item_category_id` int(11) ,
  `item_class_id` varchar(222) ,
  `name` varchar(30) ,
  `status` int(11) ,
  `date` date ,
  `tm` time ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `sales_type` int(11) ,
  `income_account` varchar(30) ,
  `measurement_category_id` int(11) ,
  `m_category_id` int(11) ,
  `queued_action_id` varchar(222),
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `item_class`
--

CREATE TABLE `item_class` (
  `id` varchar(190) UNIQUE ,
  `name` varchar(8) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `status` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `item_grouping`
--

CREATE TABLE `item_grouping` (
  `id` varchar(190) UNIQUE ,
  `name` varchar(222) ,
  `item_class_id` varchar(222) ,
  `item_category_id` varchar(222) ,
  `item_id` varchar(222) ,
  `qty` int(11) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `date` date ,
  `tm` time ,
  `status` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `item_log`
--
CREATE TABLE `item_log` (
  `id` varchar(190) UNIQUE ,
  `txn_date` date ,
  `br` varchar(190) ,
  `shift` varchar(190) ,
  `tab` varchar(50) ,
  `table_type` int(11),
  `table_charge` int(11),
  `table_id` varchar(190),
  `waiter` varchar(150) ,
  `day_name` varchar(150) ,
  `week_no` varchar(150) ,
  `month_no` varchar(150) ,
  `hr` varchar(150) ,
  `customer` varchar(100) ,
  `sales_person` varchar(11) ,
  `token` varchar(35) ,
  `item_category_id` varchar(190) ,
  `item_class_id` int(11) ,
  `return_token` varchar(30) ,
  `item_id` varchar(190) ,
  `promo_id` int(11) ,
  `qty` int(11) ,
  `uqty` int(11) ,
  `current_price` int(11) ,
  `sync_id` int(11) ,
  `log_type` int(11) ,
  `description` varchar(200) ,
  `m_category_id` int(11) ,
  `comp` varchar(30) ,
  `m_metric` int(11) ,
  `batch_no` varchar(100) ,
  `price` decimal(12,2) ,
  `cp` decimal(12,2) ,
  `effect` varchar(11) ,
  `amount` decimal(12,2) ,
  `discount` decimal(12,2) ,
  `txn_discount` varchar(30),
  `absolute_discount` int(11),
  `tender` decimal(12,2) ,
  `vat` decimal(12,2) ,
  `transfer` int(1) ,
  `date` date ,
  `extra` decimal(12,2) ,
  `sales_type` int(11) ,
  `tm` time ,
  `store_id` varchar(222) ,
  `status` int(11) ,
  `back_date` int(11) ,
  `pmt_split` int(11) ,
  `user_id` int(11) ,      
  `device_id` int(11) ,
  `outlet_id` varchar(190) ,
  `coy` varchar(222) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `control_user_id` int(11) ,
  `control_id` int(11) ,
  `ampm` varchar(11) ,
  `income_account` varchar(30) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `vat_status` int(11) ,
  `vat_value` int(11) ,
  `ap_date` date ,
  `reset` int(11),
  `queuer` varchar(222),
  `adjusted` int(11),
  `source_br` varchar(190),
  `source_outlet` varchar(190),
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `up_date` datetime 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `receipt_settings`
--

-- --------------------------------------------------------




-- --------------------------------------------------------

--
-- Table structure for table `location`
--

CREATE TABLE `location` (
  `id` varchar(190) UNIQUE ,
  `app_plan_id` int(11) ,
  `duration` int(11) ,
  `demo_status` int(11) ,
  `name` varchar(90) ,
  `bearer_id` varchar(150) ,
  `logo` varchar(250) ,
  `template` varchar(225) ,
  `country` varchar(225) ,
  `currency` varchar(30) ,
  `address` varchar(200) ,
  `maxi_plan_id` int(11),
  `phone` varchar(11) ,
  `website` varchar(30) ,
  `email` varchar(30) ,
  `allowed_users` varchar(4) ,
  `allowed_items` int(11) ,
  `allowed_store` int(11) ,
  `additional_item` int(11) ,
  `slogan` varchar(250) ,
  `multi_store` int(11) ,
  `sales_interface` int(11) ,
  `cost_method` varchar(20) ,
  `biz_default` varchar(11) ,
  `sales_disclaimer` varchar(250) ,
  `sales_point_method` int(11) ,
  `queued_action_id` varchar(222),
  `timezone` varchar(30) ,
  `user_id` int(11) ,   
  `device_id` int(11) ,
  `client_id` int(11) , 
  `origin` int(1) ,
  `agent_id` int(11) ,
  `temp_agent_id` int(11) ,
  `team_id` int(11) ,
  `date` date ,
  `tm` time ,
  `update_date` datetime ,
  `vat_value` varchar(5) ,
  `vat_status` int(11) ,
  `loc_status` int(11) ,
  `ig_address` varchar(5) ,
  `fb_address` varchar(5) ,
  `twitter_address` varchar(5) ,
  `subscription_status` int(11) ,
  `biller_reference` varchar(100) ,
  `payment_confirmation` int(11) ,
  `sub_type` varchar(20) ,
  `status` int(11) ,
  `start_date` date ,
  `end_date` date ,
  `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `cron` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `loyalty_log`
--

CREATE TABLE `loyalty_log` (
  `id` varchar(190) UNIQUE ,
  `amount` decimal(12,2) ,
  `coy_id` varchar(222) ,
  `effect` varchar(2) ,
  `token` varchar(90) ,
  `tm` time ,
  `status` int(11) ,
  `control_id` int(11) ,
  `control_user_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
    `user_id` int(11) ,   
    `device_id` int(11) ,
  `sync_id` int(11) ,
  `log_type` int(11) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `date` date,
  `txn_date` date,
  `up_date` date ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `loyalty_management`
--

CREATE TABLE `loyalty_management` (
  `id` varchar(190) UNIQUE ,
  `loyalty_id` int(11) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `loyalty_percentage` int(11) ,
  `usable_level` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `location_id` int(11) ,
  `date` date,
  `tm` time,
  `update_date` datetime,
  `control_user_id` int(11),
  `queued_action_id` varchar(222),
  `status` int(11) ,
  `sms_status` int(11) ,
  `name` varchar(30) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `measurement`
--

CREATE TABLE `measurement` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT ,
  `name` varchar(30) ,
  `abr` varchar(30) ,
  `hierarchy` int(11) ,
  `convertion_rate` int(11),
  `mstatus` int(11) ,
  `date` date ,
  `tm` time ,
  `status` int(11) ,
  `m_category_id` int(11) ,
  `user_id` int(11) ,   
  `device_id` int(11) ,
  `location_id` int(11) ,
  `default_measurement` int(11),
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `measurement_category`
--

CREATE TABLE `measurement_category` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT  ,
  `user_id` int(11) ,   
  `device_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `location_id` int(11) ,
  `name` varchar(30) ,
  `hierarchy` int(11) ,
  `convertion_rate` int(11),
  `category` int(11) ,
  `mc_id` int(11) ,
  `abr` varchar(30) ,
  `update_date` datetime ,
  `default_measurement` int(11),
  `queued_action_id` varchar(222),
  `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `status` int(11) ,
  `reset` int(11) 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `menu`
--
 

CREATE TABLE `mobile_module` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT  ,
  `module_name` varchar(90) ,
  `module_img` varchar(90) ,
  `menu` varchar(200) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `location_id` int(11) ,
  `status` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `module`
--

CREATE TABLE `module` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT  ,
  `module_name` varchar(90) ,
  `module_img` varchar(90) ,
  `menu` varchar(200) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `location_id` int(11) ,
  `status` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `offer`
--



CREATE TABLE `offer` (
  `id` varchar(190) UNIQUE ,
  `name` text ,
  `campaign_id` varchar(222) ,
  `value` int(11) ,
  `duration` int(11) ,
  `date` date ,
  `tm` time ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `status` int(11) 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `order_log`
--  

CREATE TABLE `reminder` (
  `id` varchar(190) UNIQUE ,
  `days` int(11) ,
  `intervals` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `tm` time ,
  `date` date ,
  `update_date` datetime ,
  `status` int(11) ,
  `reset` int(11) 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `order_log`
--  
CREATE TABLE `queue_log` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT ,
  `table_name` varchar(80) ,
  `data` text ,
  `identifier` varchar(222) UNIQUE,
  `sync_status` int(11) ,
  `done` int(11) ,
  `source` int(11) ,
  `sent_status` int(11),
  `device_id` int(11) ,
  `cloud_id` int(255) ,
  `user_id` int(11) ,
  `push_pull_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) , 
  `tm` time ,
  `date` date ,
  `token` text,
  `last_pull` datetime ,
  `update_date` datetime ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `status` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `request`
--

-- --------------------------------------------------------

--
-- Table structure for table `rights`
--

CREATE TABLE `rights` (
  `id` varchar(190) UNIQUE ,
  `br` int(11) ,
  `module_id` varchar(222) ,
  `sub_module` varchar(222) ,
  `sub_menu` varchar(222) ,
  `menu_id` varchar(222) ,
    `user_id` int(11) ,   
    `device_id` int(11) , 
  `date` date ,
  `office` varchar(90) ,
  `tm` time ,
  `user` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `status` int(11) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `sales_rep`
--

CREATE TABLE `sales_rep` (
  `id` varchar(190) UNIQUE ,
  `name` varchar(30) ,
  `phone` varchar(30) ,
  `gender` varchar(30) ,
  `email` varchar(30) ,
  `region_id` varchar(30) ,
  `address` varchar(100) ,
  `commission` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `location_id` int(11) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `control_id` int(11) ,
  `control_user_id` int(11) ,
  `date` date ,
  `tm` time ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `status` int(11) ,
  `reset` int(11) 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `sms_setting`
--

CREATE TABLE `sms_setting` (
  `id` varchar(190) UNIQUE ,
  `sender_id` varchar(11) ,
  `birthday_setting` int(11) ,
  `birthday_msg` varchar(1000) ,
  `patronage_msg` varchar(1000) ,
  `patronage_amount` int(11) ,
  `patronage_setting` int(11) ,
  `welcome_message` varchar(300) ,
    `user_id` int(11) ,   
    `device_id` int(11) , 
  `welcome_setting` int(11) ,
  `transactional_setting` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `stock`
--

CREATE TABLE `stock` (
  `id` varchar(190) UNIQUE ,
  `txn_date` date ,
  `expiry_date` date ,
  `day_name` varchar(150) ,
  `week_no` varchar(150) ,
  `month_no` varchar(150) ,
  `hr` varchar(150) ,
  `token` varchar(50) ,
  `return_token` varchar(30) ,
  `return_status` int(11) ,
  `log_type` int(11) ,
  `sync_id` int(11) ,
  `supplier_id` varchar(222) ,
  `item_category_id` varchar(222) ,
  `item_id` varchar(222) ,
  `qty` decimal(12,2) ,
  `price` decimal(12,2) ,
  `cp` decimal(12,2) ,
  `converted_price` decimal(12,2) ,
  `amount` decimal(12,2) ,
  `currency_id` varchar(222) ,
  `currency_unit` varchar(20) ,
  `currency_value` varchar(50) ,
  `effect` varchar(6) ,
  `uqty` int(11) ,
  `store_status` int(11) ,
  `batch_no` varchar(30) ,
  `batch_status` int(11) ,
  `store_id` varchar(222) ,
  `m_category_id` int(11) ,
  `m_metric` int(11) ,
  `t` int(11) ,
  `date` date ,
  `tm` time ,
  `status` int(11) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `outlet_id` varchar(222) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `up_date` date ,
  `ampm` varchar(11) ,
  `control_user_id` int(11) ,
  `control_id` int(11) ,
  `import_id` int(11) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `stock_adjustment`
--

CREATE TABLE `stock_adjustment` (
  `id` varchar(190) UNIQUE ,
  `token` varchar(20) ,
  `batch_no` varchar(150) ,
  `adj_qty` int(11) ,
  `available_qty` int(11) ,
  `variance` int(11) ,
  `effect` varchar(2) ,
  `item_id` varchar(222) ,
  `adj_value` decimal(11,0) ,
  `m_metric` int(11) ,
  `reason` varchar(11) ,
  `date` date ,
  `stock_date` date ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `location_id` int(11) ,
  `cate` varchar(222) ,
  `time` time ,
  `tm` time ,
  `status` int(11) ,
  `control_user_id` int(11) ,
  `control_id` int(11) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `up_date` date ,
  `m_category_id` int(11) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `stock_take`
--

CREATE TABLE `stock_take` (
  `id` varchar(190) UNIQUE ,
  `txn_date` date ,
  `token` varchar(50) ,
  `system_qty` int(11) ,
  `variance` int(11) ,
  `name` varchar(30) ,
  `item_id` varchar(222) ,
  `uqty` int(11) ,
  `qty` int(11) ,
  `m_metric` int(11) ,
  `abr` varchar(30) ,
  `item_category_id` varchar(222) ,
  `m_category_id` int(11) ,
  `tm` time ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `store_id` varchar(222) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `control_id` int(11) ,
  `control_user_id` int(11) ,
  `up_date` date ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `status` int(11) ,
  `reset` int(11) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `date` date 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `store`
--

CREATE TABLE `store` (
  `id` varchar(190) UNIQUE ,
  `name` varchar(90) ,
  `primary_status` int(11) ,
  `type` varchar(190),
  `outlet_type` varchar(190),
  `user_id` int(11) ,   
  `device_id` int(11) ,
  `default_store` int(11) ,
  `date` date ,
  `tm` time ,
  `status` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , 
  `origin` int(1) ,
  `queued_action_id` varchar(222),
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `update_date` datetime 
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_item_log`
--

CREATE TABLE `tmp_item_log` (
  `id` varchar(190) UNIQUE ,
  `txn_date` date ,
  `tab` varchar(100) ,
  `waiter` varchar(15) ,
  `customer` varchar(100) ,
  `table_type` int(11),
  `table_charge` int(11),
  `table_id` varchar(190),
  `sales_person` varchar(11) ,
  `item_category_id` varchar(222) ,
  `m_category_id` int(11) ,
  `item_class_id` varchar(222) ,
  `item_id` varchar(222) ,
  `name` varchar(30) ,
  `uqty` int(11) ,
  `m_metric` int(11) ,
  `sales_type` int(11) ,
  `batch_no` varchar(30) ,
  `tender` decimal(12,2) ,
  `vat_status` decimal(12,2) ,
  `vat_value` int(11) ,
  `vat` decimal(12,2),
  `description` varchar(200) ,
  `account_income` varchar(50) ,
  `abr` varchar(30) ,
  `store_id` varchar(222) ,
  `qty` int(11) ,
  `price` decimal(12,2) ,
  `discount` decimal(12,2) ,
  `txn_discount` varchar(30),
  `absolute_discount` int(11),
  `cp` decimal(12,2) ,
  `amount` decimal(12,2) ,
  `extra` decimal(12,2) ,
  `status` int(11) ,
  `outlet_id` varchar(190),
    `user_id` int(11) ,   `device_id` int(11) ,
     `origin` int(1) ,
  `location_id` int(11) ,
  `client_id` int(11),
  `date` date,
  `tm` time,
  `update_date` datetime,
  `queued_action_id` varchar(222),
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `queuer` varchar(222)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `tmp_log`
--

CREATE TABLE `tmp_log` (
  `id` varchar(190) UNIQUE ,
  `token` varchar(100) ,
  `table_log` varchar(200) ,
  `date` date ,
  `tm` time ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


-- --------------------------------------------------------

--
-- Table structure for table `tmp_txn_log`
--

CREATE TABLE `tmp_txn_log` (
  `id` varchar(190) UNIQUE ,
  `account_type` int(11) ,
  `chart_id` varchar(222) ,
  `log_type` int(11) ,
  `sync_id` int(11) ,
  `txn_date` date ,
  `jvalue` decimal(30,2) ,
  `bank_id` varchar(222) ,
  `bank_account_id` varchar(222) ,
  `voucher` varchar(222) ,
  `sales_person` varchar(222) ,
  `teller` varchar(200) ,
  `currency_id` varchar(222) ,
  `currency_value` varchar(35) ,
  `currency_unit` varchar(20) ,
  `jvcr` varchar(10) ,
  `jvdr` varchar(10) ,
  `token` varchar(25) ,
  `bene` varchar(30) ,
  `effect` int(11) ,
  `pmethod` varchar(222) ,
  `being` text ,
  `pr` varchar(2) ,
  `coy` varchar(222) ,
  `user_id` int(11) ,   
  `device_id` int(11) ,
  `outlet_id` varchar(222) ,
  `location_id` int(11) ,
  `status` int(11) , 
  `date` date ,
  `tm` time ,
  `update_date` datetime ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `client_id` int(11) 
  
  
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
 
 
-- --------------------------------------------------------

--
-- Table structure for table `txn_log`
--
 

CREATE TABLE `txn_log` (
  `id` varchar(190) UNIQUE ,
  `account_type` varchar(5) ,
  `txnid` varchar(35) ,
  `txn_date` date ,
  `shift` varchar(190) ,
  `day_name` varchar(150) ,
  `week_no` varchar(150) ,
  `month_no` varchar(150) ,
  `hr` varchar(150) ,
  `chart_id` varchar(10) ,
  `jvalue` decimal(30,2) ,
  `token` varchar(25) ,
  `jvdr` decimal(12,2) ,
  `jvcr` decimal(12,2) ,
  `effect` varchar(2) ,
  `pmethod` varchar(20) ,
  `pmt_split` int(11) ,
  `guest_id` varchar(120)  ,
  `room_id` varchar(110) ,
  `room_class` varchar(110) ,
  `comp` int(11) ,
  `up_date` date ,
  `other_charges` int(11) ,
  `bank_id` varchar(120) ,
  `cus_cate` varchar(120) ,
  `bank_account_id` varchar(120) ,
  `teller` varchar(200) ,
  `currency_id` varchar(120) ,
  `currency_value` varchar(35) ,
  `log_type` int(11) ,
  `rep_id` varchar(222) ,
  `region_id` varchar(30) ,
  `pmt` int(11) ,
  `pmt_action` varchar(30) ,
    `t` int(11) ,
  `sync_id` int(11) ,
  `currency_unit` varchar(20) ,
  `bene` varchar(30) ,
  `being` text ,
  `chart_cate` varchar(5) ,
  `status` int(11) ,
  `sales_person` int(11) ,
  `credit_duration_date` date ,
  `prefix` varchar(5) ,
  `pr` varchar(5) ,
  `br` int(11) ,
  `date` date ,
  `tm` time ,
  `coy` varchar(190) ,
  `coy2` varchar(190) ,
  `shared_user_id` int(11) ,
   `user_id` int(11) ,      
   `device_id` int(11) ,
  `outlet_id` varchar(120) ,
  `ampm` varchar(2) ,
  `ap_date` date ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `control_user_id` int(11) ,
  `queued_action_id` varchar(222),
  `control_id` int(11) ,
  `notification` int(11),
  `voucher` text ,
  `reset` int(11) ,
  `confirm_bank_pos` int(11) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `billing_type` VARCHAR(100)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `vat`
--

CREATE TABLE `vat` (
  `id` varchar(190) UNIQUE ,
  `vat` int(1) ,
  `type` varchar(90) ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `date` date ,
  `tm` time ,
  `status` int(11) ,
  `queued_action_id` varchar(222),
  `update_date` datetime 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Table structure for table `app_bank`
--

CREATE TABLE `app_bank` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT  ,
  `name` varchar(90) ,
  `date` date ,
  `status` int(11) ,
  `client_id` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


--
-- Table structure for table `user`
--

CREATE TABLE `users` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT  ,
  `name` varchar(90) ,
  `date` datetime ,
  `tm` time ,
  `location_id` varchar(190) ,
  `status` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `device_id` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `users_pin_code` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT  ,
  `name` varchar(90) ,
  `date` datetime ,
  `tm` time ,
  `pin_code` varchar(31),
  `location_id` varchar(190) ,
  `status` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `device_id` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `identifier` (
  `id` text ,
  `prefix` text ,
  `location_id` int(11) ,
  `user_id` int(11) ,
  `date` date ,
  `tm` time ,
  `status` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `device_id` int(11) ,
  `update_date` datetime 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `profile` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT  ,
  `name` varchar(90) ,
  `username` varchar(90) ,
  `location_id` varchar(190) ,
  `user_id` int(11) ,
  `status` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `device_id` int(11) ,
  `sales_priviledge` int(11) ,
  `app_id` int(11) ,
  `api_token` text ,
  `update_date` datetime 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--

CREATE TABLE `pincode` (
    `id` INTEGER PRIMARY KEY AUTOINCREMENT ,
    `pass_code` int(11),
    `status` int(11),
    `location_id` int(11),
    `client_id` int(11),
  `queued_action_id` varchar(222),
    `update_date` datetime
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `sms_transaction` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT  ,
  `advisor_id` int(11) ,
  `unit` decimal(12,2) ,
  `msg` text ,
  `name` varchar(200) ,
  `msg_type` text ,
  `sms_type` text ,
  `outlet_name` text ,
  `room_category_name` text ,
  `room_name` text ,
  `folio_id` text ,
  `phone` varchar(1500) ,
  `amount` decimal(12,2) ,
  `reference` int(50) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `date` date ,
  `tm` time ,
  `effect` varchar(2) ,
   `created_at` timestamp,
  `updated_at` timestamp,
  `deleted_at` timestamp,
  `status` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE `sms_offline` (
  `id` varchar(200) UNIQUE,
  `unit` decimal(12,2) ,
  `msg` text ,
  `name` varchar(200) ,
  `folio_id` varchar(200) ,
  `phone` varchar(200) ,
  `amount` decimal(12,2) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `date` date ,
  `tm` time ,
  `effect` varchar(2) ,
  `device_id` int(11) ,
  `user_id` int(11) ,
  `sms_status` int(11) ,
  `update_date` datetime,
  `status` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE db_ops_log (
`id` varchar(222) not null UNIQUE,
`client_id` int(11) NOT NULL,
`location_id` int(11) NOT NULL,
`user_id` int(11) NOT NULL,
`device_id` int(11) NOT NULL,
`operation_type` text NOT NULL CHECK(operation_type IN ('backup', 'restore')),
`otp_code` text NOT NULL,
`origin` int(1),
`success` text NOT NULL CHECK(success IN ('pass', 'fail')),
`performed_at` datetime NOT NULL
)ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `txn_token_log` (
    `id` varchar(222) UNIQUE,
    `token` varchar(222),
    `status` int(11),
    `location_id` int(11),
    `client_id` int(11),
    `user_id` int(11),
    `device_id` int(11),
    `queued_action_id` varchar(222),
    `date` date ,
    `tm` time ,
     `origin` int(1) ,
    `update_date` datetime
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `error_log` (
    `id` varchar(222) UNIQUE,
    `data` text,
    `error_table` varchar(222),
    `sent_status` int(11),
    `status` int(11),
    `location_id` int(11),
    `client_id` int(11),
    `user_id` int(11),
    `cloud_id` int(11),
    `identifier` varchar(222),
    `device_id` int(11),
    `queued_action_id` varchar(222),
    `date` date ,
    `tm` time ,
     `origin` int(1) ,
    `update_date` datetime
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `item_brand` (
  `id` varchar(190) UNIQUE ,
  `app_item_category_id` int(11) ,
  `item_class_id` varchar(222) ,
  `name` varchar(30) ,
  `status` int(11) ,
  `date` date ,
  `tm` time ,
    `user_id` int(11) ,   `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `sales_type` int(11) ,
  `income_account` varchar(30) ,
  `measurement_category_id` int(11) ,
  `m_category_id` int(11) ,
  `queued_action_id` varchar(222),
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



CREATE TABLE `price_profile` (
  `id` varchar(190) UNIQUE ,
  `name` varchar(30) ,
  `status` int(11) ,
  `date` date ,
  `tm` time ,
  `user_id` int(11) ,   
  `device_id` int(11) ,
  `location_id` int(11) ,
  `client_id` int(11) , `origin` int(1) ,
  `update_date` datetime ,
  `queued_action_id` varchar(222),
  `reset` int(11) 
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `outlet_log` (
  `id` varchar(190) UNIQUE ,
   `outlet_id` varchar(190) ,
 `item_id` varchar(190) ,
  `token` varchar(30) ,
  `location_id` int(11) ,
  `client_id` int(11) ,
  `origin` int(1) ,
   `user_id` int(11) ,   
   `device_id` int(11) ,
  `control_id` int(11) ,
  `control_user_id` int(11) ,
  `tm` time ,
  `date` date,
  `update_date` datetime ,
  `status` int(11) 
)

CREATE TABLE `device_log` (
  `id` INTEGER PRIMARY KEY AUTOINCREMENT,
  `mac_address` varchar(222) ,
  `mac_address_2` varchar(222) ,
  `name` varchar(222) ,
  `timezone` varchar(30),
  `outlet_id` varchar(222),
  `email` varchar(222),
  `client_id` int(11),
  `location_id` int(11) ,
  `user_id` int(11) ,
  `date` date,
  `update_date` datetime ,
  `status` int(11) 
) 
